2004-07-07 20:03  gerald

	* NEWS:

	  More NEWS updates.

2004-07-07 19:15  gerald

	* config.nmake:

	  Enable GTK_WIMP and GTK2 by default.	Make GTK2 2.4 and Pango 1.4
	  the default versions.

2004-07-07 16:31  ulfl

	* gtk/main.c:

	  bugfix: preference related capture options shouldn't be set by
	  preferences, if Ethereal is running as a capture_child

2004-07-07 16:26  ulfl

	* gtk/menu.c:

	  don't show webbrowser calling menu items, when using GLib 1.x

2004-07-07 16:23  ulfl

	* epan/Makefile.nmake, gtk/Makefile.nmake:

	  remove doxygen output dir "html" on make clean

2004-07-07 07:01  guy

	* gtk/about_dlg.c:

	  Realize the splash screen window right after creating it, rather
	  than doing a "show all" followed by a "hide"; that way we don't
	  get a tiny window that pops up briefly and disappears.

	  Get rid of the additional positioning of the splash screen -
	  "splash_window_new()" does that for us.

	  Expand some comments.

2004-07-07 06:09  guy

	* gtk/webbrowser.c:

	  With GLib 1.2[.x], undefine MUST_LAUNCH_BROWSER_OURSELVES, so
	  that we say that we don't need a preference for the command to
	  launch a browser (that preference won't make any difference).

2004-07-07 05:36  guy

	* gtk/: about_dlg.c, ui_util.c, ui_util.h:

	  Get rid of the splash screen's title bar on GTK+ 1.2[.x] as well.

2004-07-07 04:48  guy

	* AUTHORS, packet-ieee80211.c:

	  From Henry Ptasinski: support for 802.11e WME/QoS info.

2004-07-07 04:17  guy

	* packet-prism.c:

	  Update comments and note that values are in *host* byte order, as
	  in "the byte order of the host that wrote the capture", not "the
	  byte order of the host *reading* the capture".

	  Don't show values that aren't present - the "status" field of the
	  item for the value is 0 if it's present and non-0 if absent.

	  Get rid of extra VALFIELD() call for the data rate (we handle it
	  ourselves).

2004-07-07 00:09  obiot

	* NEWS:

	  Specify which "protocol" is added to WBXML (User-Agent Profile
	  for WSP Profile-Diff header).

2004-07-06 23:47  guy

	* packet-prism.c:

	  Add some notes on the stuff in the Prism header.

2004-07-06 19:44  guy

	* packet-pim.c:

	  From Shinsuke Suzuke: fix a PIM address list bug, and put the
	  address list into a subtree.

2004-07-06 19:22  guy

	* packet-ieee80211.c, packet-prism.c, packet-radiotap.c,
	  packet-wlancap.c:

	  In "packet-ieee80211.c", use the same scheme for displaying the
	  data rate used elsewhere, rather than using floating point.

	  In "packet-prism.c", show the data rate correctly in the column
	  display, and show it as Mb/s in the protocol tree, and show it as
	  "Data Rate", as it is in "packet-ieee80211.c".

	  In "packet-radiotap.c" and "packet-wlancap.c", show it as "Data
	  Rate" rather than as "Datarate".

	  Show the units uniformly as "Mb/s", rather than "mb/s" (it's
	  mega, not milli) or "Mbps", except for the AVS header, where it's
	  Kb/s.

2004-07-06 19:17  gerald

	* NEWS:

	  Add ENRP to the new protocol list.

2004-07-06 19:16  gerald

	* capture.h, gtk/about_dlg.c, gtk/main.c:

	  Make sure child processes don't create a splash screen.  Make the
	  verbs in the splash screen messages present participles.

2004-07-06 19:01  gerald

	* packet-isns.c, epan/conversation.c, epan/conversation.h:

	  From Dinesh Dutt:	- conversation.[ch] - To support not
	  setting port2 on matching a	    conversation. This is used by
	  protocols such as iSNS in which the client	   registers a
	  TCP/UDP port with the server for notifications and the server
	    sends notifications to this port from different source ports.
	     - packet-isns.c - Added support for handling zero-length TLVs
	  and ESI & SCN        frames (when registering an SCN/ESI port, a
	  conversation dissector is	   setup).

2004-07-06 16:29  gerald

	* NEWS, config.nmake, configure.in:

	  Prep for the 0.10.5 release.

2004-07-05 16:39  ulfl

	* print.c, epan/proto.c:

	  bugfix: don't try to print data, if tvb is too short

2004-07-05 10:15  guy

	* packet-rip.c:

	  From Yaniv Kaul:

		  Don't try to dissect the MD5 authentication data as a
	  route
		  entry (RTE).	It's not.  I made sure it's also the last
	  entry in
		  the packet and it gets dissected only if MD5
	  authentication is
		  used.

		  Some implementation use the Auth. Data Length field value
	  as
		  the WHOLE Authentication data length (0xFFFF (2 bytes) +
	  0x0001
		  (2 bytes) + 16 bytes of auth.  data = 20) while others
	  only as
		  the auth. data length ( = 16).  Since MD5's auth data is
	  16
		  bytes anyway, I've hard coded it in the code (in
	  #define), and
		  not relied on auth_data_len.	I've tested it on
	  implementations
		  using either way and it seems to work fine.

2004-07-05 09:29  guy

	* column.c, packet-ieee80211.c, packet-prism.c, packet-radiotap.c,
	  packet-wlancap.c, epan/column_info.h:

	  From Jouni Malinen: add columns for the 802.11 data rate and
	  signal strength for AVS headers.

	  Also add them for the Prism and Radiotap headers, and for the
	  pseudo-header from non-native captures.

2004-07-05 05:40  ulfl

	* gtk/webbrowser.c:

	  from Gisle Vanem: if WIN32_LEAN_AND_MEAN is defined, include
	  shellapi.h too

2004-07-05 05:32  ulfl

	* gtk/about_dlg.c:

	  beautify the splash screen a bit (increased border)

2004-07-04 20:49  guy

	* gtk/about_dlg.c:

	  Declare "about_ethereal()" as "void", as it returns no value, and
	  as GCC warns that it's implicitly declared as "int" if you don't
	  declare its return type.

2004-07-04 20:46  tuexen

	* AUTHORS, epan/Makefile.common, packet-enrp.c:

	  Add support for ENRP according to
	  draft-ietf-rserpool-common-param-06.txt
	  draft-ietf-rserpool-enrp-08.txt

2004-07-04 17:36  tuexen

	* text2pcap.c:

	  fix a typo in the help text.

2004-07-04 12:15  ulfl

	* gtk/: about_dlg.c, about_dlg.h, main.c, ui_util.c, ui_util.h:

	  added a splash screen while Ethereal is started

2004-07-04 10:26  guy

	* AUTHORS, packet-eap.c:

	  From Jouni Malinen: EAP-MD5, EAP-SIM, EAP-PEAP, and EAP-MSCHAPv2
	  support.

2004-07-04 03:48  guy

	* packet-isup.c:

	  From Martin van der Werff: add some additional white space in the
	  Info column.

2004-07-04 03:46  guy

	* packet-ieee80211.c:

	  From Jouni Malinen: add alternative parsing for WEP IV field when
	  the Extended IV bit is set.

2004-07-04 02:29  guy

	* epan/: proto.c, slab.h, ftypes/ftypes.c, ftypes/ftypes.h:

	  Instead of using pointer casts in the slab allocator stuff, add a
	  "SLAB_ITEM_TYPE_DEFINE()" macro to define a union of the type of
	  object for the slab and a pointer to an object of that union
	  type, and use that type for items on the slab allocator free
	  lists; that *should* avoid having the compiler think two pointers
	  to an item being added to or removed from the free list don't
	  point to the same object just because they have different types.

2004-07-04 00:28  guy

	* epan/: proto.c, slab.h, ftypes/ftypes.c, ftypes/ftypes.h:

	  Make the "SLAB_ALLOC()" and "SLAB_FREE()" macros take the type of
	  the object being allocated, rather than the name of the free
	  list, as an argument (with the name of the free list constructed
	  from the name of the type), and add macros to define and declare
	  the free list, also taking the type of the object being
	  allocated.

2004-07-03 21:50  tuexen

	* doc/README.plugins:

	  Update to current setup.

2004-07-03 21:46  tuexen

	* README.macos:

	  Update to reflect that the gtk+2 stuff is enabled by default now.

2004-07-03 21:37  tuexen

	* packet-asap.c:

	  Update to support latest ID versions:
	  draft-ietf-rserpool-common-param-06.txt
	  draft-ietf-rserpool-asap-09.txt

2004-07-03 21:35  tuexen

	* aclocal-flags:

	  Suppress warning in case of gtk-config is not installed.

2004-07-03 12:58  tuexen

	* packet-mtp3.c:

	  Fixed a bug reported by Martin van der Werff.

2004-07-02 09:12  guy

	* packet-ieee80211.c:

	  From Jouli Malinen: add parsing of PMKID for IEEE 802.11i (both
	  in RSN IE and in Key Data field of msg 1 of 4-Way Handshake).

2004-07-02 08:38  guy

	* packet-lmp.c:

	  From Carles Kishimoto: fix some bugs.

2004-07-02 08:27  guy

	* AUTHORS, packet-isup.c:

	  From Martin van der Werff: don't do
	  "tvb_ensure_length_remaining()" to create the parameter tvbuff,
	  as that requires that there's at least one byte of parameter
	  data, and some messages have no parameters and would cause an
	  exception to be thrown in that case.

	  Just use -1 for the length parameters when creating the parameter
	  tvbuff, so that it includes the full reported length.

	  Don't put undissected parameter information into the protocol
	  tree if there aren't any parameters - and don't bother getting
	  the number of bytes of parameter information unless we're putting
	  undissected parameter information into the protocol tree and need
	  it to see whether there are any parameters.

2004-07-01 09:35  jmayer

	* packet-mtp3.c, packet-mtp3.h, gtk/webbrowser.c, gtk/webbrowser.h:

	  Trivial warning fixes: () -> (void) and comma at end of enum

2004-07-01 08:35  guy

	* packet-fr.c:

	  Update the URL of FRF 3.2.

	  Note that it's been claimed that an address field whose first
	  byte has the low-order bit not zero indicates Frame Relay
	  fragmentation, FRF.12, and that we should perhaps handle that.

2004-07-01 08:07  jmayer

	* .cvsignore:

	  Doxygen added

2004-07-01 08:04  jmayer

	* epan/.cvsignore, gtk/.cvsignore:

	  Doxygen filenames changed

2004-07-01 06:59  guy

	* AUTHORS, packet-rtp.c:

	  From Ruud Linders: heuristic RTP dissector.

2004-07-01 06:30  guy

	* packet-gift.c:

	  Add a URL for the giFT project.

2004-07-01 06:28  guy

	* AUTHORS, packet-gift.c, epan/Makefile.common:

	  From Jon Oberheide: giFT support.

2004-06-30 21:27  etxrab

	* AUTHORS:

	  From Martin Mathieson - show setupframe in RTP and RTCP

2004-06-30 21:17  etxrab

	* gtk/rtp_stream_dlg.c:

	  From Martin Mathieson:  Show number of detected streams in RTP
	  Analysis window

2004-06-30 21:08  etxrab

	* packet-rtcp.c, packet-rtp.c:

	  From Martin Mathieson: Fix it so "setup frame" is shown even if
	  no filter applied at loading of capture.

2004-06-30 18:47  ulfl

	* packet-iax2.c:

	  remove MSVC warning, as result of arithmetic expression is of
	  type unsigned int, but function expects guint8

2004-06-30 18:24  ulfl

	* gtk/capture_dlg.c:

	  code cleanup

2004-06-30 17:57  guy

	* plugins/plugin_api.h:

	  Include "crc16.h" to handle "crc16_ccitt_tvb()".

2004-06-30 17:53  ulfl

	* gtk/: capture_dlg.c, main.c:

	  bugfix to a bug reported by dave.nicoson@thomson.net: if
	  reopening the capture options dialog, use the same values as
	  before and don't mess them caused by the units used.

2004-06-30 15:42  tuexen

	* plugins/irda/packet-irda.c:

	  get rid of data_handle decalriation, bacause it is defined
	  external in irda-appl.h which is included.

2004-06-30 08:23  guy

	* plugins/irda/.cvsignore:

	  Add packet-sir.lo.

2004-06-30 08:21  guy

	* epan/libethereal.def, epan/plugins.c, plugins/plugin_api_list.c,
	  plugins/Xass-list, plugins/Xplugin_api.c, plugins/Xplugin_api.h,
	  plugins/Xplugin_api_decls.h, plugins/Xplugin_table.h:

	  Add "crc16_ccitt_tvb()" to the plugin API and the list of
	  functions exported from libethereal.dll.

2004-06-30 07:34  guy

	* AUTHORS, plugins/irda/Makefile.am, plugins/irda/Makefile.nmake,
	  plugins/irda/irda-appl.h, plugins/irda/moduleinfo.h,
	  plugins/irda/packet-sir.c:

	  From Shaun Jackman: Serial Infrared support.

2004-06-30 07:12  guy

	* gtk/file_dlg.c:

	  Include <unistd.h>, if available, to declare "close()".

2004-06-30 07:04  guy

	* mergecap.c:

	  Initialize "out_filename" to NULL, so it's set to NULL if it's
	  not set by a "-w" flag.

2004-06-30 06:58  guy

	* capture.c, file.c, mergecap.c, ringbuffer.c, gtk/proto_draw.c,
	  gtk/rtp_analysis.c, wiretap/file_access.c:

	  On at least some platforms, a #define of O_BINARY is needed even
	  if <fcntl.h> is included, as <fcntl.h> doesn't define it.

2004-06-30 05:49  ulfl

	* gtk/: file_dlg.c, main.c:

	  close temporary merge output file, if merging failed

2004-06-29 22:21  ulfl

	* gtk/simple_dialog.c:

	  GTK2: convert character encoding from locale to UTF8 before
	  displaying message

2004-06-29 20:59  ulfl

	* merge.c, merge.h, mergecap.c, gtk/file_dlg.c, gtk/main.c:

	  avoid using tmpnam() for security reasons.  instead of giving the
	  merge stuff a filename, give it an already opened file descriptor

2004-06-29 20:51  ulfl

	* capture.c, file.c, mkstemp.c, ringbuffer.c:

	  define of O_BINARY not needed, if fcntl.h is included other
	  #include related cleanups

2004-06-29 20:46  ulfl

	* gtk/proto_draw.c, gtk/rtp_analysis.c, gtk/rtp_stream.c,
	  wiretap/file_access.c:

	  define of O_BINARY not needed, if fcntl.h is included other
	  #include related cleanups

2004-06-29 20:40  etxrab

	* packet-sigcomp.c:

	  Fixed a bug in instruction COMPARE dissection, added output of
	  bytecode for all types of operands, changed most values to be
	  output as decimal.  Many thanks to Martin Regner for valuable
	  ideas, reviewing the output and assisting in debuging the code.

2004-06-29 20:29  etxrab

	* packet-rtcp.c, packet-rtp.c, packet-rtsp.c:

	  From Martin Mathieson: packet-rtp.c packet_rtsp.cand
	  packet-rtcp.c ------------------------------------------ Make
	  sure that the RTP RTSP and RTCP dissectors show the setup frame
	  corresponding to the destination address

2004-06-29 17:10  ulfl

	* prefs.c, prefs.h, gtk/gui_prefs.c, gtk/webbrowser.c,
	  gtk/webbrowser.h:

	  add a preference setting for the web browser command

2004-06-29 08:20  guy

	* packet-dcerpc-budb.c, packet-dcerpc-rpriv.c,
	  packet-dcerpc-rs_acct.c, packet-dcerpc-rs_misc.c,
	  packet-dcerpc-rs_repadm.c, packet-dcerpc-rs_unix.c,
	  packet-dcerpc-secidmap.c:

	  From Jaime Fournier: clean up some function names.

2004-06-29 07:59  guy

	* acinclude.m4:

	  If we can't find the krb5 header or the krb5 code isn't Heimdal,
	  clear out KRB5_LIBS, so we don't try to link with the library.

2004-06-29 07:14  guy

	* packaging/nsis/ethereal.nsi:

	  From Laurent Rabret:

		  fix a bug in the case where both Ethereal with GTK1 and
	  GTK2 are
		  attached;

		  disallow the "extension box" if Ethereal isn't selected.

2004-06-29 05:50  guy

	* packet-sigcomp.c:

	  Fix up some warnings.

2004-06-29 05:47  guy

	* prefs.c:

	  Catch invalid GUI layout type values; if we see one, use the
	  default layout type.

2004-06-29 03:27  jmayer

	* gtk/: file_dlg.c, follow_dlg.c, main.c, print_dlg.c:

	  The patch to fix the race condition introduced by using tmpnam
	  replaced insecure code by not-working code.  As I currently lack
	  the time to fix this properly until Monday as the earliest
	  possible date I undo the patch.

	  Please note that Ethereal should not be used on multiuser systems
	  with untrusted users until a proper fix has been applied.

2004-06-29 03:04  gerald

	* Makefile.am:

	  Some of the documentation files don't depend on [t]ethereal any
	  more.  Remove the dependencies, since it was messing up builds on
	  systems without GTK.

2004-06-28 22:39  etxrab

	* packet-sigcomp.c, epan/Makefile.common:

	  Add dissector for  Signaling Compression (SigComp) dissection,
	  RFC3320.  It does not decompress the compressed message it only
	  displays the uploaded bytecode for the UDVM ( Universal
	  Decompressor Virtual Machine )

2004-06-28 22:04  gerald

	* packet-snmp.c:

	  From Yaniv Kaul: Fix an SNMP crash bug.

2004-06-28 15:09  ulfl

	* gtk/file_dlg.c:

	  minor bugfix for merge dialog: use the correct handle for
	  resizing

2004-06-28 06:01  guy

	* epan/ftypes/ftypes.c:

	  From Graeme Hewson: prevent an assertion failure if a display
	  filter specifies [i:] and i is >= the length of the frame.

2004-06-28 05:54  guy

	* packet-dcerpc-samr.c:

	  From Jean-Baptiste Marchand: many small fixes for the samr
	  dissector, based on test trafic generated with Samba 4 smbtorture
	  utility and Samba 4 samr.idl.

2004-06-28 05:41  guy

	* packet-eap.c:

	  From Yaniv Kaul: adjust to RFC 3748, and add some more EAP method
	  types.

2004-06-28 05:35  guy

	* packet-dcerpc-lsa.c:

	  From Jean-Baptiste Marchand: fix the dissection of the
	  POLICY_AUDIT_LOG_INFO information level used by the
	  LsarQueryInformationPolicy(2) operations (based on Samba4
	  lsa.idl).

2004-06-28 05:29  guy

	* packet-dcerpc-lsa.c:

	  From Jean-Baptiste Marchand: slightly enhance the dissection of
	  the LsarQueryInformationPolicy2 operation, by displaying the
	  information level in the COL_INFO column, identically to the
	  LsarQueryInformationPolicy operation.

2004-06-28 05:22  guy

	* packet-dcerpc-wkssvc.c:

	  From Jean-Baptiste Marchand: for NetrWkstaGetInfo and
	  NetWkstaEnumUsers operations, display in the COL_INFO column the
	  requested information level.

2004-06-28 05:17  guy

	* packet-dcerpc-srvsvc.c:

	  From Jean-Baptiste Marchand:

		  add col_append_str() calls in functions dissecting *Enum
	  srvsvc
		  operations, to display the requested information levels
	  in the
		  COL_INFO column;

		  fix the slighlty wrong dissection of the
	  NetrShareEnumSticky
		  operation.

2004-06-27 22:21  obiot

	* packet-wbxml.c, packet-wsp.c:

	  Add the dissection of a WBXML-encoded Profile-Diff header to the
	  WSP and WBXML dissectors by define a new protocol handle in the
	  WBXML dissector.  This is necessary as the Profile document (XML
	  or WBXML) has no associated media type (or not a useful
	  registration).

	  New WBXML media: "UAPROF for Profile-Diff header (WSP)"

2004-06-27 17:56  gerald

	* doc/Makefile.am:

	  Add more distclean files.

2004-06-27 17:16  tuexen

	* packet-m3ua.c:

	  Show point codes also in a strucuted way if selected in the MTP3
	  preferences.

2004-06-27 17:14  tuexen

	* packet-mtp3.c, packet-mtp3.h:

	  Added functionality to support multiple ways of structuring an
	  ITU point code.

2004-06-27 00:21  gerald

	* Makefile.common, doc/Makefile.am, gtk/Makefile.am:

	  Fixes needed for "make distcheck".

2004-06-26 09:56  guy

	* tools/asn2eth.py:

	  From Tomas Kukosa: small fix for ASN2ETH compiler concerning
	  creation of export conformance file.

2004-06-26 09:48  guy

	* crc32.c, crc32.h, packet-eth.c, packet-ieee80211.c, packet-ppp.c:

	  Use the "crc16.c" CRC-16 routine in the PPP dissector.

	  Rename the "crc32.c" CRC-32 routine "crc32_ccitt_tvb()", to match
	  the "crc16.c" CRC-16 routine, and rename the table it uses to
	  match.  Also rename "crc32_tvb_802" to "crc32_802_tvb", to match
	  "crc32_ccitt_tvb()".

2004-06-26 09:45  guy

	* crc16.c:

	  Make the CRC-16 table static (as it's not used outside "crc16.c")
	  and "const" (as nothing writes to it).

	  "len" is unsigned, so it can never be < 0 - it can only be 0 or
	  != 0.

2004-06-26 03:40  guy

	* packet-dcerpc-samr.c:

	  From Jean-Baptiste Marchand: dissect the USER_INFO_25 samr
	  structure (used by Windows XP clients when joining a domain
	  managed by a W2K3 domain controller).

2004-06-26 02:16  guy

	* Makefile.nmake, epan/Makefile.nmake, epan/dfilter/Makefile.nmake,
	  epan/ftypes/Makefile.nmake, gtk/Makefile.nmake:

	  From Laurent Rabret: replace "lib" with "link /lib"; "lib" is
	  just a wrapper around "link /lib", and not all Microsoft C
	  compiler distributions provide "lib".

2004-06-25 17:33  ulfl

	* gtk/menu.c:

	  Add "Resolve Name" to "View/Name Resolution" and rename "Protocol
	  Properties" to "Protocol Preferences"

2004-06-25 09:24  sahlberg

	* packet-ber.c:

	  add some sanity checking to packet-ber.c  to let it display a
	  helpful message instead of dumping core if it is passed an
	  incompatible hf_field type.

2004-06-25 07:19  sahlberg

	* Makefile.common, epan/Makefile.common:

	  Update to the makefiles to pull in the crc16 helper for use by
	  SIR and later others

2004-06-25 07:10  jmayer

	* Makefile.am, configure.in, doxygen.cfg, doxygen.cfg.in,
	  epan/Makefile.am, epan/Makefile.nmake, epan/doxygen.cfg,
	  epan/doxygen.cfg.in, gtk/Makefile.am, gtk/Makefile.nmake,
	  gtk/doxygen.cfg, gtk/doxygen.cfg.in:

	  doxygen changes: - moved doxygen.cfg to doxygen.cfg.in and let
	  configure to the substitution   on unix. Adapted the namke files
	  accordingly.	- Don't add doxygen as a dependency for libethereal
	  and libui: As doxygen is   an unconditional target, this would
	  cause the applications to be rebuild	 every time make was
	  called, even when nothing changed in the meantime.	This means
	  that by now we need to do "make doxygen" manually in case we
	  want updated documentation.

2004-06-25 07:06  jmayer

	* acinclude.m4:

	  Get rid of a warning with newer auto... tools by proper quoting.

2004-06-25 07:05  jmayer

	* FAQ, help/faq.txt:

	  Minor update

2004-06-25 07:04  jmayer

	* gtk/file_dlg.c, gtk/follow_dlg.c, gtk/main.c, gtk/print_dlg.c,
	  doc/README.developer:

	  tmpnam() really should not be used for security reasons.  Replace
	  it where used and update README.developer accordingly.

2004-06-25 07:00  jmayer

	* AUTHORS, util.c, epan/resolv.c, epan/resolv.h:

	  Fix automagically generated filters in case of remote login via
	  IPv6.  This fix was picked from the source rpm of Suse 9.1.

2004-06-25 06:31  sahlberg

	* AUTHORS, crc16.c, crc16.h, iax2_codec_type.h, packet-h263.c,
	  packet-iax2.c, packet-iax2.h, epan/packet_info.h:

	  Updates from Richard v d Hoff

	  IAX2 updates and a CRC16 routine

2004-06-25 06:16  sahlberg

	* reassemble.c:

	  fix bug in reassembly from last checkin

	  From Richard van der Hoff

2004-06-24 21:50  sahlberg

	* packet-h225.c, packet-h235.c, packet-h235.h, packet-per.c,
	  asn1/h235/h235.cnf, epan/ftypes/ftypes.h, tools/asn2eth.py:

	  from tomas k

	  updates to the asn2eth compiler and a new regenerated h235
	  dissector

2004-06-24 21:05  sahlberg

	* AUTHORS:

	  Update Gile S email address

2004-06-24 20:58  sahlberg

	* packet-h225.c:

	  prettify the dissector and mark the generated fields as such

2004-06-24 17:45  ulfl

	* gtk/webbrowser.c:

	  As current implementation won't compile with GLib 1.x, as a
	  temporary solution, simply do nothing in this case.  Has to be
	  improved later

2004-06-24 07:43  sahlberg

	* packet-dcerpc.c, reassemble.c, reassemble.h:

	  from todd s

	  update to reassembly of dg style dcerpc

2004-06-24 06:01  sahlberg

	* packet-h450.c:

	  from Mazeau Philippe

	  more h.450 codes

2004-06-24 05:31  sahlberg

	* packet-ber.c:

	  some ber/der stuff like pkinit do use very large integers,   8
	  and 16 byte ones have been spotted.

	  make the ber helpers handle these large integers as well as
	  possible.

2004-06-24 05:23  sahlberg

	* packet-dcerpc-samr.c:

	  from JBM  updates to SAMR CONNECTx

2004-06-24 05:13  sahlberg

	* tools/asn2eth.py:

	  from Tomas K

	  updates to the asn2eth per/ber compiler

2004-06-24 05:05  sahlberg

	* packet-h225.c:

	  The hf field we pass to H235_AuthenticationMechanism is a
	  FT_UINT32 and not a FT_NONE

	  this finally allows ethereal to successfulkly  dissect the
	  problem h225.cap capture properly.

2004-06-24 04:51  sahlberg

	* packet-h225.c:

	  dissect_per_sequence_of  needs a hf field of type FT_NONE and not
	  FT_UINT32 Fix one instance of this bug and verify all other uses
	  of dissect_per_sequence_of in h225.

	  Fix one ett field we forgot to initialize.

	  This fixes the problem reported with a crash earlier.  (ethereal
	  still crashes but now inside the machinegenerated h235 dissector)

2004-06-23 22:17  guy

	* .cvsignore:

	  Add the HTML man pages to the "ignore these files" list.

2004-06-23 21:43  guy

	* packet-x11.c:

	  "g_malloc()" takes the number of bytes to allocate, not the
	  number of items to allocate.

2004-06-23 15:15  gram

	* doc/README.tvbuff:

	  Add paragraph about freeing tvbuffs.

2004-06-23 08:39  guy

	* Makefile.am, configure.in, doc/Makefile.am:

	  Build and install the HTMLized man pages on UN*X.

2004-06-23 01:38  guy

	* gtk/: Makefile.am, about_dlg.c, main.h, webbrowser.c,
	  webbrowser.h:

	  Add "gtk/webbrowser.h" to declare functions from
	  "gtk/webbrowser.c".

	  Rename "browser_open_program_file()" to
	  "browser_open_data_file()", and make it open files relative to
	  the application's data directory, as that's where data files such
	  as HTMLized man pages would be put.  (That happens to be the
	  program directory on Windows, but it's a different directory on
	  UN*X - and you aren't guaranteed to be able to find the program
	  directory on UN*X by looking at argv[0] in any case.)  Move it to
	  "gtk/webbrowser.c".

	  Fix "filename2url()" to put "file://", not just "file:", in front
	  of pathnames on UN*X.

2004-06-22 21:51  guy

	* gtk/about_dlg.c:

	  Mark some unused variables as such.

2004-06-22 21:15  guy

	* configure.in:

	  To test whether we can build with OS X frameworks, try building
	  with those frameworks.

2004-06-22 16:28  ulfl

	* gtk/: about_dlg.c, about_dlg.h, menu.c, webbrowser.c:

	  add functionality, to show html files from the local installation

2004-06-22 15:18  gerald

	* configure.in:

	  Handle cases where PRI[doxu]64 is defined, but u_int64_t isn't.
	  (Solaris 8 only defines uint64_t, for example).

2004-06-22 05:45  ulfl

	* AUTHORS:

	  add Henrik Brix Andersen as the original author of webbrowser.c

2004-06-22 01:11  guy

	* gtk/menu.c:

	  "Home page" is typically two words.

2004-06-22 01:00  guy

	* gtk/webbrowser.c:

	  Style tweaks, and finish an unfinished comment.

2004-06-22 00:40  guy

	* Makefile.am, configure.in, gtk/webbrowser.c:

	  On Mac OS X, use Launch Services to start a Web browser with a
	  given URL.

2004-06-21 20:12  tuexen

	* gtk/main.h:

	  Change type of argument of dnd_open_file_cmd to get ethereal
	  compiled.

2004-06-21 17:25  ulfl

	* gtk/Makefile.common, gtk/about_dlg.c, gtk/about_dlg.h,
	  gtk/main.h, gtk/menu.c, gtk/webbrowser.c, Makefile.nmake:

	  Add experimental feature of opening a webbrowser, to show some of
	  the webpages from http://www.ethereal.com. This functionality is
	  copied from the Gimp.  Win32 will use ShellExecute to use the
	  system registered webbrowser.  On unix builds, currently the
	  mozilla browser is hardcoded, we still need a preference setting
	  for this (I will add this later).

2004-06-21 16:45  ulfl

	* merge.c, merge.h, gtk/file_dlg.c, gtk/main.c:

	  if more than one file is (drag and) dropped into the program,
	  merge them together into a new temporary file (and notice the
	  user by a simple_dialog about it)

2004-06-21 15:57  gerald

	* Makefile.nmake:

	  Change to GLib 2.4.2 and GTK+ 2.4.3.

2004-06-21 10:53  jmayer

	* gtk/main.h:

	  Remove trailing comma at end of enum

2004-06-21 05:48  ulfl

	* gtk/file_dlg.c:

	  use the "correct" resize function for the file selection dialog

2004-06-20 20:28  ulfl

	* config.nmake:

	  add GTK2.4 and alike libs to the setup target, depending on
	  settings in config.nmake

2004-06-20 20:22  ulfl

	* Makefile.nmake:

	  add GTK2.4 and alike libs to the setup target, depending on
	  settings in config.nmake

2004-06-20 19:35  ulfl

	* gtk/dlg_utils.c:

	  bugfix: is using last_open_dir with GTK2.4 file chooser
	  gtk_file_chooser_set_current_folder() is very pedantic of it's
	  parameter, trim filename so it will be accepted.

2004-06-20 19:20  guy

	* reassemble.c:

	  In "show_fragment()", use common code to put the top-level entry
	  into the protocol tree for the fragment, regardless of whether
	  the fragment has any flags set or not, and, in that common code,
	  handle fragments with 0 bytes of data specially (at least in NDS,
	  you can get zero-length fragments - including the last fragment,
	  so you can't just ignore those fragments; the last fragment has
	  to be added to finish off the reassembly).

2004-06-20 18:36  ulfl

	* gtk/file_dlg.c:

	  bugfix: handle NULL pointer correct, if
	  gtk_file_chooser_get_filename returned NULL

2004-06-20 15:57  ulfl

	* prefs.c, prefs.h, gtk/capture_dlg.c, gtk/file_dlg.c,
	  gtk/gui_prefs.c, gtk/main.c, gtk/menu.c:

	  preference setting, so "ask for unsaved capture files" can be
	  switched off

2004-06-20 14:48  ulfl

	* prefs.c, prefs.h, gtk/capture_prefs.c, gtk/main.c:

	  preference setting for the option to "avoid" the capture info
	  dialog

2004-06-20 13:39  ulfl

	* capture.c, capture.h, gtk/capture_dlg.c, gtk/main.c:

	  added an option to "avoid" the capture info dialog completely.
	  This matters for "update of list in real time" (sync_mode) only,
	  as in normal mode you wouldn't otherwise have the possibility to
	  stop the capture.

2004-06-20 09:49  ulfl

	* Makefile.nmake:

	  add merge.obj to the linking of mergecap.exe

2004-06-20 09:35  ulfl

	* gtk/file_dlg.c:

	  preview: add 3 seconds timeout, and show the information got so
	  far.	This will prevent getting the preview information take a
	  lot of time for *very* long capture files. However, on a
	  Pentium-M 1.6 even a 35MB capture file will not timeout in this 3
	  second interval.

2004-06-20 09:31  ulfl

	* config.h.win32:

	  bugfix: prefix for int64 output on win32 must be "I64" not "i64"

2004-06-20 07:28  guy

	* gtk/file_dlg.c:

	  Include <string.h> to declare "strlen()".

	  Make "cf_name" a "const gchar *", as, at least in GTK+ 2.x, a
	  "const gchar *" is assigned to it.  (If it's just a "gchar *"
	  being assigned to it, declaring it a "const gchar *" does no
	  harm.)

2004-06-20 03:05  guy

	* gtk/file_dlg.c:

	  Make the elapsed time value an "unsigned int" (if the stop time
	  is before the start time, due to packet time stamp bogosity,
	  neither a signed value nor an unsigned value will give a sensible
	  answer, and it doesn't need to be a "long" as the capture's
	  unlikely to span more than 2^32-1 seconds, again modulo packet
	  time stamp bogosity).  That eliminates some format item vs. value
	  warnings.

	  Make the packet count an "unsigned int" (it can't be negative,
	  and we're unlikely to have more than 2^32-1 packets - and, if we
	  are, it should be made a guint64).  That eliminates some more
	  format item vs. value warnings.

	  Initialize "start_time" and "stop_time" to 0, so that we handle
	  files with no packets (and so that we don't get uninitialized
	  variable warnings).

	  Display the file size with PRIu64, after casting it to "guint64"
	  (that way we handle file sizes if they're "unsigned int",
	  "unsigned long", or a 64-bit type on ILP64 platforms (it's 64
	  bits in BSDs derived from 4.4BSD, even on ILP64 platforms).

	  Mark the first argument to "file_open_entry_changed()" as unused.

	  Don't use G_CONST_RETURN, as it's not defined by GLib 1.2[.x].

	  Get rid of an unused variable.

	  Clean up white space.

2004-06-20 01:05  guy

	* packet-clnp.c:

	  The sequence number in COTP packets is either unused (for TP0) or
	  relative to the beginning of the connection (for TP1-4).  They
	  are *not* relative to the first segment of a segmented TPDU, so
	  the sequence number can't be used in calls to
	  "fragment_add_seq_check()".

	  For now, we assume that COTP packets are seen in order, and just
	  use "fragment_add_seq_next()" - that's unlikely to make anything
	  worse (the only time when "fragment_add_seq_check()" will work is
	  when the first segment has a sequence number of 0), and
	  definitely fixes reassembly in a number of cases.  In the long
	  term, we might want to handle out-of-order packets above the
	  reassembly layer, so that it handles even out-of-order
	  unsegmented packets.

2004-06-19 10:48  ulfl

	* gtk/file_dlg.c:

	  add preview information to the open and merge dialog boxes

2004-06-19 10:13  guy

	* AUTHORS, epan/libethereal.def, epan/plugins.c,
	  plugins/plugin_api.h, plugins/plugin_api_list.c,
	  plugins/Xass-list, plugins/Xplugin_api.c, plugins/Xplugin_api.h,
	  plugins/Xplugin_api_decls.h, plugins/Xplugin_table.h:

	  From Dennis Lim: add routines used by dissectors for ONC RPC
	  protocols to the plugin API.

	  Add them to the list of routines exported from the libethereal
	  DLL on Windows as well.

2004-06-19 09:48  guy

	* AUTHORS, packet-ospf.c, packet-rsvp.c, packet-rsvp.h:

	  From Carles Kishimoto: add support for GMPLS extensions, as per
	  the I-D draft-ietf-ccamp-ospf-gmpls-extensions-12.

2004-06-19 04:12  guy

	* configure.in:

	  If the user hasn't explicitly said they want to build with
	  Heimdal, don't *require* them to have "krb5.h" - if they don't
	  have it, don't build with Heimdal.

2004-06-19 04:10  guy

	* packet-pktc.c:

	  From Thomas Anders: display the Security Parameter Lifetime as a
	  relative time string rather than raw seconds.

2004-06-19 00:07  guy

	* acinclude.m4, config.h.win32, configure.in, packet-rsvp.c,
	  doc/README.developer, epan/packet.h:

	  Pick up the stuff I did for tcpdump to figure out the right
	  strings to use to format 64-bit integers.

	  Fix the RSVP dissector to use that rather than hardcoding "%ll"
	  in.

	  Remove the "only if G_HAVE_GINT64 is defined" bit from the
	  discussion of 64-bit integers - we're too dependent on having
	  them to support compilers that don't have a 64-bit integral data
	  type.  Do, however, note that neither "long" nor "long long" are
	  acceptable, and also note that you shouldn't assume "%ll" does
	  the trick for printing them.

2004-06-18 20:23  guy

	* gtk/summary_dlg.c:

	  "ti_time" is a "time_t", not a "long" ("time_t" isn't necessarily
	  a "long").

	  Make "elapsed_time" an "unsigned int" rather than an "unsigned
	  long" - 2^32-1 seconds is about 136 years, so on LP64 machines
	  that won't matter, and on ILP32 machines it doesn't make any
	  difference, but it *does* generate compiler warnings from "%u"
	  being used with "unsigned long" values.

2004-06-18 14:27  jmayer

	* wka.tmpl, manuf:

	  Add local MAC addresses for MS-Loadbalancing (not all, see
	  comment in wka.tmpl)

	  Update manuf

2004-06-18 14:11  ulfl

	* gtk/summary_dlg.c:

	  add timestamp of first and last packet to summary dialog

2004-06-18 12:19  jmayer

	* Makefile.am:

	  Add the kerberos linking options to the right magic variable

2004-06-18 12:04  jmayer

	* merge.c, merge.h:

	  Fix compile errors on Suse 9.1: - It's gboolean not boolean Fix
	  warning about extraneous , at end of enum.

2004-06-18 10:01  ulfl

	* Makefile.common, merge.c, merge.h, mergecap.c:

	  merge: remove code duplication in merge.c and mergecap.c (put it
	  in merge.c), and doing some more code cleanup

2004-06-18 07:41  ulfl

	* merge.c, gtk/file_dlg.c, gtk/simple_dialog.c:

	  merge: bugfixes and code cleanup

2004-06-18 05:58  ulfl

	* gtk/file_dlg.c:

	  added some tooltips, minor code cleanup

2004-06-17 22:42  guy

	* gtk/file_dlg.c:

	  Use an adverb to modify a verb.

2004-06-17 22:41  guy

	* gtk/file_dlg.c:

	  Include <string.h> to declare "strdup()".

2004-06-17 21:53  ulfl

	* Makefile.common, merge.c, gtk/file_dlg.c, gtk/file_dlg.h,
	  gtk/menu.c:

	  add Merge functionality to Ethereal in an experimental state.
	  Copied and sligthly modified merge.c from mergecap.c (needs a lot
	  of code cleanup, though)

2004-06-17 21:34  ulfl

	* gtk/simple_dialog.c:

	  add implementation of button mask ESD_BTNS_YES_NO

2004-06-17 20:49  etxrab

	* packet-text-media.c:

	  Add two new media types:  "application/vnd.poc.refer-to"
	  "application/cpim-pidf+xml" / Anders

2004-06-17 20:04  guy

	* packet-arp.c:

	  Give the RFC number for ARP.

	  When checking for a gratuitous ARP, compare the raw bytes of the
	  protocol addresses, not the strings for those addresses.

	  Do the stuff we do even if we *aren't* constructing a protocol
	  tree or setting the Info column first, and then quit if we're
	  doing neither.  That obviates the need to set "is_gratuitous" if
	  we're doing neither.

	  Construct the strings for addresses when we need them, rather
	  than constructing them in advance even if we don't need them.

	  Capitalize "ARP" in "Gratuitous ARP".

2004-06-17 16:44  ulfl

	* gtk/gui_prefs.c:

	  move font related stuff to new file font_utils.c/.h do some font
	  related renaming/code cleanup

2004-06-17 16:35  ulfl

	* gtk/: compat_macros.h, follow_dlg.c, font_utils.c, font_utils.h,
	  gtkglobals.h, gui_prefs.c, Makefile.am, Makefile.common, main.c,
	  main.h, packet_list.c, packet_list.h, proto_draw.c,
	  supported_protos_dlg.c, tcp_graph.c, text_page.c:

	  move font related stuff to new file font_utils.c/.h do some font
	  related renaming/code cleanup

2004-06-17 14:37  jmayer

	* configure.in:

	  Turn on kerberos by default if it is present

2004-06-17 08:53  jmayer

	* Makefile.am, epan/Makefile.am:

	  Link the Kerberos into the main app, not libethereal

2004-06-17 08:32  jmayer

	* packet-arp.c:

	  Explicitly print gratuitous arp requests as such

2004-06-17 07:10  guy

	* packet-cpfi.c:

	  From Dave Sclarsky: add support for "multiple instances", and add
	  additional hidden fields for use as filters.

2004-06-16 23:36  guy

	* packet-atm.c:

	  The short name for AAL 3/4 should be "AAL3/4", not "AAL3_4" (even
	  though the *filter* name is "aal3_4").

2004-06-16 23:09  guy

	* epan/to_str.c:

	  As long as any text has been put into a time interval string, the
	  next clause we add will have to have ", " separating it from the
	  text before it.

2004-06-16 18:20  etxrab

	* packet-sip.c, packet-sip.h:

	  Completly change parsing of "From" and "To" lines to fix a
	  problem with finding "tag" add and export
	  "dfilter_store_sip_from_addr" to make it possible to filter on
	  SIP url:s in multiple dissectors and some wite space changes.

2004-06-16 08:11  guy

	* wiretap/radcom.c:

	  To return an EOF indication, return FALSE from the read routine
	  *AND* set "*err" to 0, rather than leaving what random value
	  happened to be in "*err" there.

2004-06-16 07:51  guy

	* packet-aim-buddylist.c, packet-aim-chat.c,
	  packet-aim-messaging.c, packet-aim-signon.c, packet-aim.c:

	  Use "format_text()" on strings, so we handle non-printable
	  characters.

	  Clean up white space a bit.

2004-06-16 07:33  guy

	* epan/dfilter/dfilter.c:

	  Note that the reason why there's parser state that stays around
	  after the parse finishes (forcing us to feed the parser an
	  end-of-input even after an error) is that we don't create a new
	  parser object when we start a new parse and don't destroy it when
	  the parse finishes.

2004-06-15 18:47  gerald

	* packet-isakmp.c:

	  From Yaniv Kaul: Switch from the DPD draft to RFC 3706.

2004-06-15 18:26  etxrab

	* packet-h245.c, packet-rtcp.c, packet-rtcp.h, packet-rtp.c,
	  packet-rtp.h, packet-rtsp.c, packet-sdp.c:

	  From Thomas Anders:  Navigating from RTP/RTCP packets to setup
	  where it was set up

2004-06-15 18:25  gerald

	* wka.tmpl:

	  Add and entry for 03-00-C7-00-00-EE (HP/Compaq ProLiant NIC
	  teaming).  The protocol is documented at
	  http://www.hp.com/sbso/bus_protect/teaming.pdf if anyone wants to
	  write a dissector.

2004-06-15 10:38  guy

	* epan/dfilter/: dfilter-int.h, dfilter.c:

	  From Graeme Hewson:

		  Add a #define to enable parser tracing.

		  Clean up parser state when finished parsing, even if we
	  stopped
		  parsing due to a syntax error, so that there's nothing
	  left
		  around to screw up the next parse.

2004-06-15 10:16  guy

	* epan/dfilter/semcheck.c:

	  From Graeme Hewson: fix a debug message.

2004-06-15 09:50  guy

	* packet-kerberos.c:

	  From Jean-Baptiste Marchand: fix up a couple of #defines that
	  collided with existing defines.

2004-06-15 09:43  guy

	* AUTHORS, t35.c:

	  From Philippe Mazeau: T.35 codes for Swissvoice.

2004-06-15 09:30  guy

	* packet-ncp.c:

	  From Greg Morris: dissect the first packet in a packet burst
	  connection (NCP type 7777).

2004-06-15 09:23  guy

	* packet-ncp-int.h, packet-ncp2222.inc:

	  From Greg Morris:

		  Fix a bug in the dissection of multiple NDS messages
	  being sent
		  at the same time that the dissector was attempting to
	  desegment
		  data spanning multiple packets.  When a message was
	  encountered
		  during the desegmentation code the dissector would
		  misinterpret the new message as an element in the data
	  stream.
		  Code was added to validate the desegmentation handle and
		  validate which messages actually contain segmented data.

2004-06-15 09:14  guy

	* ncp2222.py:

	  From Greg Morris:

		  a few updates to ncp2222.py to include more detail to
	  summary
		  window for NCP's 26, 28, 30;

		  fixed NCP 87/31 to not show as malformed when
	  HandleInfoLevel
		  contains value 0x00.

2004-06-14 22:38  ulfl

	* README.win32:

	  added a section describing the problems with MSVC 7 compiler (as
	  I don't use it myself, please correct me if anything is wrong)

2004-06-12 08:56  guy

	* AUTHORS, packet-rtp.c:

	  From Ainsley Pereira: add a text description PT_CN_OLD.

2004-06-12 07:47  guy

	* capture-wpcap.c, pcap-util-unix.c, pcap-util.h, tethereal.c,
	  gtk/capture_dlg.c, gtk/capture_prefs.c, gtk/main.c:

	  On Windows, if "get_interface_list()" returns
	  CANT_GET_INTERFACE_LIST and the error message includes "Not
	  enough storage is available to process this command" or "The
	  operation completed successfully", suggest that the user install
	  a WinPcap version later than 3.0 - this is definitely a
	  Frequently Asked Question on the Ethereal list.

2004-06-12 04:12  guy

	* AUTHORS, packet-dcerpc-wkssvc.c:

	  From Jean-Baptiste Marchand:

	   - NetrJoinDomain2 and NetrUnJoinDomain2 (can be used to remotely
	  join a
	     machine to an Active Directory domain, typically with the JOIN
	  and
	     UNJOIN of the netdom utility)

	   - NetrRenameMachineInDomain2

	   - NetrAddAlternateComputerName and
	  NetrRemoveAlternateComputerName
	     (operations added in Windows XP)

	  All these operations carry a blob (524 bytes) containing an
	  encrypted version of the password of the account with domain
	  administration credentials, currently displayed as hex data
	  because the format of this blob is currently unknown (at least,
	  for me).

2004-06-12 02:08  sahlberg

	* tools/asn2eth.py:

	  update asn1 compiler to (hopefully) handle BER SET OF constructs

2004-06-12 01:34  sahlberg

	* tools/asn2eth.py:

	  Parameter 8 to dissect_ber_bistring() is the ett_ variable (or
	  -1) and not a NULL **proto_tree pointer.

	  Set the ett variable to always be -1 for the time being

2004-06-12 01:21  sahlberg

	* tools/asn2eth.py:

	  From Tomas Kukosa   updates to the ASN1 compiler

	  Change doc string to not specificly state it is for PER
	  Temporary/Partial fix for the tag of impoerted types.

2004-06-11 15:23  jmayer

	* epan/Makefile.am:

	  Hack to remove epan/config.h

2004-06-11 08:33  sahlberg

	* packet-scsi.c:

	  fix the presentation of readcapacity to show the real number of
	  MB or GB instead of just a random fake value.

2004-06-10 20:16  guy

	* gtk/dfilter_expr_dlg.c:

	  Move "dfilter_expr_dlg_delete_event_cb()" after
	  "dfilter_expr_dlg_cancel_cb()" to avoid use-before-declaration
	  warnings.

2004-06-10 13:33  sahlberg

	* packet-kerberos.c:

	  some more encryption types and checksum types

2004-06-10 10:12  guy

	* packaging/nsis/ethereal.nsi:

	  From Laurent Rabret:

		  - associate standard trace file extensions to ethereal
	  *only*
		    if such extensions are not already known in the system;

		  - suppress the linking while Ethereal is uninstalling
	  *only*
		    for extensions associated to Ethereal.

2004-06-10 10:09  guy

	* gtk/: dfilter_expr_dlg.c, prefs_dlg.c, proto_dlg.c, tcp_graph.c:

	  "delete_event" is an event, so its handler takes three arguments,
	  not two, and it returns a gboolean.

2004-06-10 09:46  guy

	* gtk/decode_as_dlg.c, gtk/dfilter_expr_dlg.c, AUTHORS:

	  From Stas Grabois: don't show disabled protocols in the "Add
	  Expression" and "Decode As" dialogs (so that you can cut down the
	  size of the protocol lists in those dialogs by disabling
	  "uninteresting" protocols).

2004-06-10 08:01  guy

	* tethereal.c:

	  Move the ring-buffer tests from "process_packet()" to
	  "capture_pcap_cb()"; they're only done in live captures, and that
	  arranges that "process_packet()" gets called with the correct
	  wtap_dumper for the current file even if we switch to a new file.

	  Move the packet-count reporting out of "write_packet()" to
	  "capture_pcap_cb()" as well, as that's also only done in live
	  captures.  That pretty much guts "write_packet()", so just move
	  what's left up to "process_packet()".

2004-06-09 19:20  gerald

	* epan/Makefile.am, gtk/Makefile.am:

	  Remove config.nmake dependencies from epan/Makefile.am and
	  gtk/Makefile.am.

2004-06-09 09:24  sahlberg

	* packet-dcerpc.c, packet-dcerpc.h, packet-smb-pipe.c:

	  DCERPC problem reported by JBM and identified by Todd Sabin

	  Other protocol, not only SMB will populate pinfo->private_data
	  thus	 checking for existence of non-NULL pinfo->private_data is
	  not sufficient to determine	we have SMB data and this is what
	  it is.

	  Refactor the adding of salt/FID from lower layer protocols and
	  generalize it.  Create a new dissector_handle specific for SMB so
	  that we know that IFF we came in through that handle, then
	  whatever pinfo->private_data is what we expect it to be.

2004-06-09 03:08  gerald

	* configure.in, epan/Makefile.am, gtk/Makefile.am:

	  Add Automake/Autoconf Doxygen targets.

2004-06-08 05:42  ulfl

	* epan/packet.h:

	  add details for doxygen

2004-06-07 20:28  guy

	* wiretap/: libpcap.c, wtap.c, wtap.h:

	  Add an encapsulation type for BACnet MS/TP, and map the
	  newly-assigned libpcap DLT_ value for BACnet MS/TP to it.

2004-06-07 19:49  guy

	* gtk/text_page.c:

	  Don't define or set "txt" in "text_page_redraw()" for GTK+ 2.x,
	  as we don't use it in that case.

2004-06-07 07:44  sahlberg

	* tools/asn2eth.py:

	  update to the asn1 compiler.

	  Do not output the value definitions for enumerated integers
	  twice.  the c compiler doesnt like when the same symbol is
	  declared twice.

2004-06-06 14:29  gerald

	* packet-ieee80211.c, epan/strutil.c, epan/strutil.h,
	  epan/ftypes/ftype-bytes.c:

	  Add a "force_separators" parameter to hex_str_to_bytes so that
	  it's possible to paste in WEP keys without any separators.

	  Add doxygen comments to strutil.h.

2004-06-05 13:28  ulfl

	* gtk/: endpoint_talkers_table.h, hostlist_table.h, proto_draw.h:

	  add more details for doxygen

2004-06-05 12:12  ulfl

	* gtk/: dlg_utils.h, filter_prefs.h, gtkglobals.h,
	  service_response_time_table.h:

	  add more details for doxygen

2004-06-05 11:44  jmayer

	* packet-dcerpc.c:

	  Yaniv Kaul: Add some more UUID decoding on Windows

2004-06-05 11:03  ulfl

	* gtk/gsm_map_stat.h:

	  add more details for doxygen

2004-06-05 10:27  ulfl

	* gtk/: compat_macros.h, filter_prefs.c, packet_list.c:

	  alyways use SIGNAL_EMIT_BY_NAME with one user parameter, remove
	  SIGNAL_EMIT_BY_NAME1 completely

2004-06-05 10:13  ulfl

	* gtk/: color_dlg.c, compat_macros.h:

	  remove gtk_widget_ref / OBJECT_SET_DATA_FULL, as reference
	  handling is done by GTK, so doing it is pretty useless

2004-06-05 09:59  sahlberg

	* packet-ber.c, packet-ber.h:

	  Rename the type UCTTime to UTCTime as per X.680

	  get rid of a compiler warning.

2004-06-05 09:57  ulfl

	* gtk/: Makefile.common, help_dlg.c, text_page.c, text_page.h:

	  cut text_page related things from help_page.c and move into new
	  file text_page.c

2004-06-05 02:57  sahlberg

	* packet-pktc.c:

	  from tomas anders   more packetcable stuff new protocol :
	  PacketCable MTA FQDN

2004-06-05 02:40  sahlberg

	* packet-dcerpc-lsa.c, packet-dcerpc-samr.c:

	  from JBM:   updates to SAMR and LSA

2004-06-04 21:12  guy

	* simple_dialog.h, gtk/simple_dialog.c:

	  Make the definition of "simple_dialog()" match its declaration.

	  Make the "type" argument to "vsimple_dialog()" also be an
	  ESD_TYPE_E.

2004-06-04 20:15  ulfl

	* packet-dcerpc.c:

	  bugfix: when saving connectionless DCERPC fragments, add a hashed
	  activity_id to the sequence number. This will prevent
	  missdissected fragments.

2004-06-04 20:05  ulfl

	* gtk/: about_dlg.h, capture_dlg.h, capture_prefs.h, color_dlg.h,
	  column_prefs.h, decode_as_dlg.h, dfilter_expr_dlg.h, doxygen.cfg,
	  file_dlg.h, filter_prefs.h, find_dlg.h, follow_dlg.h, goto_dlg.h,
	  gtkglobals.h, gui_prefs.h, help_dlg.h, layout_prefs.h,
	  nameres_prefs.h, prefs_dlg.h, print_prefs.h, proto_dlg.h,
	  rtp_stream.h, stream_prefs.h:

	  add more details for doxygen

2004-06-04 20:04  ulfl

	* progress_dlg.h, simple_dialog.h:

	  add details for doxygen

2004-06-04 17:31  ulfl

	* config.nmake:

	  update DOXYGEN setting and add new HHC (MS html help compiler)
	  setting

2004-06-04 17:18  ulfl

	* doxygen.cfg:

	  use the dot tool

2004-06-04 17:16  ulfl

	* gtk/Makefile.nmake, gtk/dlg_utils.h, gtk/doxygen.cfg,
	  gtk/gtkglobals.h, gtk/main.h, gtk/menu.h, gtk/packet_list.h,
	  gtk/proto_draw.h, gtk/recent.h, gtk/toolbar.h, gtk/ui_util.h,
	  capture.h:

	  add more details for doxygen

2004-06-04 11:35  sahlberg

	* packet-kerberos.c:

	  get rid of a compiler warning

2004-06-04 11:30  sahlberg

	* packet-h235.c, packet-h235.h, asn1/h235/packet-h235-template.c,
	  packet-pktc.c:

	  get rid of a compiler warning

2004-06-04 11:28  sahlberg

	* packet-h235.c, packet-h235.h, asn1/h235/h235.cnf,
	  tools/asn2eth.py:

	  Tomas updates to H235 and the ASN2ETH compiler

2004-06-04 03:58  gerald

	* packet-aim-messaging.c:

	  From Devin Heitmueller: Fix some compilation warnings.

2004-06-04 03:25  gerald

	* tools/Makefile.am:

	  As Mark Corley pointed out, win32-setup.sh should be part of the
	  distribution.

2004-06-04 01:56  sahlberg

	* packet-dcerpc-krb5rpc.c, packet-kerberos.c, packet-kerberos.h,
	  packet-kpasswd.c, packet-pktc.c, packet-spnego.c,
	  packet-telnet.c:

	  Add a mechanism where one can provide callbacks to the kerbgeros
	  dissector to pass back dissection of application specific fields
	  (octet strings)

	  This can later be used to pick up session keys by dcerpc and
	  similar.  Currently it will initially be used by packetcable.

	  PacketCable additions by Thomas Anders

2004-06-04 00:15  tpot

	* packet-smb-sidsnooping.c:

	  Fix crash bug in sid snooping if we don't have a policy name for
	  a handle in a samr_query_dispinfo.

2004-06-04 00:12  sahlberg

	* AUTHORS, packet-dnp.c, epan/Makefile.common:

	  New protocol : DNP From Graham Bloice

2004-06-04 00:05  tpot

	* packet-smb-sidsnooping.c:

	  Fix bug to do with renaming lsa.domain_sid to nt.domain_sid to
	  get sid snooping working again.

2004-06-03 23:55  sahlberg

	* packet-smb-pipe.c:

	  add dissection of the ms rap netserverenum3 function

2004-06-03 21:46  guy

	* gtk/: Makefile.am, endpoint_talkers_table.c,
	  endpoint_talkers_table.h, hostlist_table.c, hostlist_table.h,
	  menu.c, proto_draw.h, sat.h:

	  Make static some routines and variables not used outside the
	  source file defining them.

	  Move declarations of some callbacks outside the source files
	  using them into the appropriate header, and arrange that the
	  appropriate header is included by those source files.

	  Move the SAT_E definition into a "sat.h" file, included both by
	  "endpoint_talkers_table.h" and "hostlist_table.h", so that both
	  of the latter headers can be included by the same file ("menu.c"
	  has to include both, as per the change in the previous
	  paragraph).

2004-06-03 21:17  guy

	* gtk/dlg_utils.c:

	  "gtk_file_selection_set_filename()" doesn't work with a
	  GtkFileChooser, and "gtk_file_chooser_set_filename()" requires an
	  absolute path, so "" isn't valid.  Get rid of the
	  "gtk_file_selection_set_filename()" call in
	  "file_selection_new()".

	  Put in a comment asking why we're using
	  "gtk_file_selection_set_filename()" at all.

2004-06-03 19:07  guy

	* packet-h235.c, packet-h235.h:

	  Re-generate from the updated asn2eth script and h235.cnf files.

2004-06-03 16:35  jmayer

	* manuf:

	  monthly update

2004-06-03 16:29  gerald

	* epan/libethereal.def:

	  From Lars Roland: Add have_tap_listeners() and
	  rtp_payload_type_vals to libethereal.def.

2004-06-03 14:57  ulfl

	* doxygen.cfg, gtk/doxygen.cfg:

	  enable chm file generation for doxygen, move chm filename setting
	  to module specific config file

2004-06-03 14:54  ulfl

	* gtk/text_page.h:

	  add details for doxygen

2004-06-03 08:35  guy

	* asn1/h235/h235.cnf:

	  From Tomas Kukosa: unnecessary types are excluded with NO_EMIT
	  directive.

2004-06-03 08:33  guy

	* tools/asn2eth.py:

	  From Tomas Kukosa:

	    - limits for dissect_per_constrained_integer() are passed as
	  unsigned
	      if possible
	    - new directive NO_EMIT in conformation file - avoids emitting
	      function body (or vals or both) into packet-xxxx-fn.c file
	    - new directive USER_DEFINED in conformation file - emitting of
	      function body (or vals or both) in the packet-xxxx-fn.c file
	  is
	      replaced with external declaration
	    - support for SET OF type for BER
	    - flag WITH_VALS is default for EXPORTS, USER_DEFINED, NO_EMIT
	      directives
	    - the _U_ attribute is used for pinfo parameters
	    - the offset parameters and return codes are changed from
	  guint32 to
	      int

2004-06-03 08:04  guy

	* packet-socks.c:

	  From Yaniv Kaul: add SOCKS v4a support.

	  Clean up handling of null-terminated strings.

2004-06-03 07:37  guy

	* doc/ethereal-filter.pod.template:

	  From Graeme Hewson:

	       Remove reference to negative slice lengths.

	       Clean and polish.

2004-06-03 07:36  guy

	* epan/dfilter/: grammar.lemon, scanner.l, syntax-tree.c,
	  syntax-tree.h:

	  From Graeme Hewson:

	       Use gint32 instead of guint32 for node data.

	  Fix up some other signed-vs-unsigned issues in the display filter
	  parser and lexical analyzer.

2004-06-03 07:34  guy

	* epan/ftypes/ftypes.c:

	  From Graeme Hewson:

	       Fix assertion failure when absolute value of negative slice
	       offset > field length.

	       Remove code for handling negative slice lengths.

2004-06-03 07:33  guy

	* epan/dfilter/semcheck.c:

	  From Graeme Hewson:

	       Check slice lengths as well as offsets.	Disallow
	  negative/zero
	       lengths.

	       Range on RHS of display filter expression wasn't being
	  checked in
	       every case.

2004-06-03 07:17  guy

	* epan/dfilter/scanner.l:

	  From Graeme Hewson:

	       Use gint32 instead of guint32 and strtol() instead of
	  strtoul()
	       for signed integers.

	       Pathological slice specifications could cause Flex default
	  rule
	       to be invoked, echoing characters to stdout.
	       Example: frame[0foo]==1

2004-06-03 04:19  guy

	* packet-aim-messaging.c, packet-aim.c, packet-aim.h:

	  From Devin Heitmueller: improve decoding of outgoing and incoming
	  message blocks.

2004-06-03 04:13  guy

	* packet-nfs.c:

	  From Mike Frisch:

		  - fixed tree display of NFSv4 change_info type;
		  - add OPEN4_RESULT_LOCKTYPE_POSIX to OPEN result (reply)
	  flags;
		  - fixed open_delegation4 dissector;

2004-06-03 02:14  guy

	* gtk/menu.c:

	  Make the definition of "register_tap_menu_item()" match its
	  declaration.

2004-06-03 02:14  guy

	* gtk/tap_menu.h:

	  Fix a typo.

2004-06-02 22:13  ulfl

	* gtk/: proto_hier_stats_dlg.h, range_utils.h, recent.h,
	  rtp_analysis.h, rtp_stream.h, rtp_stream_dlg.h,
	  service_response_time_table.h, summary_dlg.h,
	  supported_protos_dlg.h, tap_dfilter_dlg.h, tap_menu.h,
	  text_page.h:

	  add details for doxygen

2004-06-02 20:14  ulfl

	* gtk/: layout_prefs.h, nameres_prefs.h, print_mswin.h,
	  print_prefs.h, proto_dlg.h, proto_draw.h, stream_prefs.h:

	  add details for doxygen

2004-06-02 18:49  guy

	* ringbuffer.c:

	  If, when rotating capture files, the attempt to close the current
	  file fails, set "rb_data.pdh" to NULL, so we know it's not open
	  (if "wtap_dump_close()" fails, the wtap_dumper_t is still closed
	  - and the file descriptor for it is probably closed, too, as, if
	  "close()" fails, the FD is probably closed; the Single UNIX
	  Specification Version 3 says the state of the FD is unspecified,
	  but in practice most OSes probably still close it).

	  If we try to close the current file, first check to make sure
	  it's open, i.e. that "rb_data.pdh" is non-null.  (Or perhaps we
	  should avoid trying to close it if the open *or* the most recent
	  attempt to rotate the capture files failed.)

	  Note that if "wtap_dump_close()" fails we might not need to close
	  the underlying file descriptor (and, even if we do, there's no
	  guarantee that attempt won't also fail and leave the FD still
	  open - which is why I suspect that a failed "close()" leaves the
	  FD closed on most OSes).

2004-06-02 18:44  ulfl

	* gtk/: capture_prefs.h, column_prefs.h, gui_prefs.h,
	  layout_prefs.h, mtp3_stat.h, nameres_prefs.h, packet_list.h,
	  packet_win.h, prefs_dlg.h, print_prefs.h, stream_prefs.h:

	  add details for doxygen

2004-06-02 07:12  ulfl

	* gtk/: dcerpc_stat.c, endpoint_talkers_table.c, fc_stat.c,
	  gtkglobals.h, h225_counter.c, h225_ras_srt.c, hostlist_table.c,
	  ldap_stat.c, mgcp_stat.c, rpc_stat.c, rtp_stream_dlg.c,
	  service_response_time_table.c, smb_stat.c, tap_dfilter_dlg.c:

	  move "extern GtkWidget *main_display_filter_widget" from various
	  stats files to gtkglobals.h

2004-06-02 07:01  guy

	* gtk/rtp_stream_dlg.c:

	  Get rid of the #if 0'ed out "rtp_payload_type_vals[]" table - we
	  should be using the one from libethereal.

2004-06-02 06:50  guy

	* packet-nfs.c, packet-nfs.h:

	  From Mike Frisch:

		  add support for NFSv4 RELEASE_LOCKOWNER and ILLEGAL
	  operations;

		  minor modification to the NFSv4 NULLPROC dissection.

2004-06-02 06:44  ulfl

	* gtk/hostlist_table.h:

	  fix a doxygen comment

2004-06-02 06:35  guy

	* packet-http.c:

	  From Yaniv Kaul: HKP is HTTP-based and runs on port 11371.

2004-06-02 06:30  guy

	* packet-enip.c:

	  From Magnus Hansson: add more information to the Info column.

	  Use "tvb_format_stringzpad()" to put a zero-padded string into
	  the protocol tree and Info column, so that we 1) don't use a
	  fixed-length buffer that we might overflow and 2) we handle
	  non-printable bytes in the string.

2004-06-01 23:08  guy

	* packet-rtp.c, rtp_pt.h:

	  Don't define data variables in header files included by more than
	  one file - that keeps the variable from being shared, and also
	  produces compiler warnings if the variable isn't used by all the
	  files that include the header in question.

2004-06-01 23:00  guy

	* gtk/: hostlist_table.c, hostlist_table.h:

	  Make the definition of "add_hostlist_table_data()" match its
	  declaration.

	  Give the address and port arguments to
	  "add_hostlist_table_data()" appropriate names and Doxygen
	  comments (they're not a source address and port, they're just an
	  address and port), and do the same for the address and port
	  members of a "hostlist_talker_t".

	  Get rid of extra unnecessary variables in
	  "add_hostlist_table_data()".

	  Clean up indentation.

2004-06-01 22:12  ulfl

	* gtk/rtp_stream_dlg.c:

	  bugfix: don't double define rtp_payload_type_vals

2004-06-01 22:00  ulfl

	* gtk/hostlist_table.c:

	  minor bugfix from previous check in

2004-06-01 21:56  etxrab

	* AUTHORS:

	  From Thomas Anders: MGCP sub-parameter dissection

	  Anders Broman: BICC,SIP-T dissection

2004-06-01 21:56  ulfl

	* gtk/: ethclist.h, find_dlg.h, follow_dlg.h, gsm_map_stat.h,
	  gtk_stat_util.c, gtk_stat_util.h, gui_prefs.h, hostlist_table.c,
	  hostlist_table.h, keys.h, layout_prefs.h, menu.h:

	  add details for doxygen, various code cleanups as a result of
	  this

2004-06-01 21:45  etxrab

	* config.nmake:

	  Revert previous checkin made by mistake *sigh

2004-06-01 21:40  etxrab

	* config.nmake, packet-rtp.c, packet-sdp.c, rtp_pt.h:

	  From Thomas Anders dissects the RTP Payload Type (if media
	  protocol is RTP/AVP) with its descriptive name rather than the
	  raw value string, much like packet-rtp.c does already.  To avoid
	  duplicate definitions,  the existing rtp_payload_type_vals[]
	  definition is  moved from packet-rtp.c and gtk/rtp_stream_dlg.c
	  to rtp_pt.h.

2004-06-01 21:29  guy

	* gtk/endpoint_talkers_table.c:

	  Make the definition of "add_ett_table_data()" match its
	  declaration.

2004-06-01 20:37  ulfl

	* gtk/: endpoint_talkers_table.c, endpoint_talkers_table.h:

	  minor bugfix from previous check in

2004-06-01 20:28  ulfl

	* gtk/: about_dlg.h, capture_combo_utils.h, capture_prefs.h,
	  color_dlg.h, color_filters.h, color_utils.h, colors.h,
	  column_prefs.h, decode_as_dlg.h, dfilter_expr_dlg.h, dlg_utils.h,
	  endpoint_talkers_table.c, endpoint_talkers_table.h, ethclist.h,
	  ui_util.h:

	  add details for doxygen, various code cleanups as a result of
	  this

2004-06-01 18:58  guy

	* packet-rtcp.c:

	  Fix a typo.

	  Clean up white space.

2004-06-01 18:43  guy

	* packet-netflow.c:

	  Interpret the sampling mode values.

2004-06-01 18:39  guy

	* packet-netflow.c:

	  As Motonori Shindo nodes, the sampling rate and mode in a Netflow
	  V5 header is 2 bits of sampling mode and 14 bits of sample rate,
	  not 16 bits of sample rate.

2004-06-01 17:37  ulfl

	* globals.h:

	  various code cleanups

2004-06-01 17:33  ulfl

	* gtk/: about_dlg.c, capture_dlg.h, compat_macros.h, dlg_utils.c,
	  dlg_utils.h, file_dlg.c, file_dlg.h, filter_prefs.c,
	  filter_prefs.h, follow_dlg.c, goto_dlg.c, goto_dlg.h,
	  gtkglobals.h, help_dlg.c, help_dlg.h, main.c, main.h, menu.c,
	  proto_draw.c, recent.c, rtp_analysis.c, rtp_stream_dlg.c,
	  toolbar.h:

	  add details for doxygen, various code cleanups as a result of
	  this

2004-06-01 01:03  guy

	* AUTHORS, packet-ssl.c:

	  From Yaniv Kaul: PCT support.

2004-06-01 01:01  guy

	* gtk/proto_draw.c:

	  Eliminate a no-longer-used routine.

2004-06-01 00:15  jmayer

	* wiretap/configure.in:

	  It really helps when you change the default from gtk1 -> gtk2 in
	  the top level configure.in to mirror that change in wiretap.
	  Otherwise people who have both versions of glib/gtk installed may
	  see crashes.

2004-05-31 19:35  etxrab

	* packet-rtcp.c:

	  Add dissection of application PoC1 data

2004-05-31 19:31  etxrab

	* plugins/mgcp/packet-mgcp.c:

	  From Thomas Anders fix some memory leaks

2004-05-31 15:47  ulfl

	* gtk/: compat_macros.h, dlg_utils.h, ui_util.h:

	  add details for doxygen

2004-05-31 13:42  ulfl

	* gtk/dlg_utils.h:

	  add details for doxygen

2004-05-31 13:40  ulfl

	* Makefile.am, doxygen.cfg, epan/doxygen.cfg, gtk/Makefile.am,
	  gtk/Makefile.nmake, gtk/doxygen.cfg:

	  split doxygen.cfg into common Ethereal things and module
	  specifics

2004-05-31 13:35  ulfl

	* gtk/color_dlg.c:

	  bugfix: don't try to destroy a dialog twice

2004-05-31 12:06  ulfl

	* gtk/proto_draw.c:

	  directly use the file selection dialog instead of using an
	  additional custom dialog

2004-05-31 11:22  ulfl

	* gtk/capture_prefs.c:

	  some more dialog redesign and code cleanup

2004-05-31 09:53  guy

	* tap.c, tap.h, tethereal.c:

	  Add a routine that indicates where there are any tap listeners
	  registered (not whether there are any tap *filters* registered).

	  Do dissection in Tethereal iff:

		  we're printing information about each packet;

		  we're using a read filter on the packets;

		  there are any tap listeners registered (even if there are
	  no tap
		  filters registered - not all taps use filters).

2004-05-31 09:23  ulfl

	* gtk/capture_prefs.c:

	  interface options preference dialog: remove confusing second
	  interface clist, fix a bug making garbage of user supplied
	  interface description

2004-05-31 08:41  guy

	* tethereal.c, doc/tethereal.pod:

	  Make "-q" suppress packet printing when you're reading a capture
	  file and not writing to another capture file, for use with "-z"
	  options.

	  Note that "-z proto" *doesn't* print statistics at the end - it
	  modifies the packet summary output.

	  Note that on at least some BSDs the "status" character is set to
	  "off" by default, so you have to set it explicitly in order to be
	  able to ^T an application such as Tethereal.

2004-05-31 07:52  guy

	* tethereal.c:

	  Move the packet counting, dissecting, and filtering out of the
	  "write packet" and "print packet" callbacks into a common
	  routine, so that we don't count packets twice if we're counting
	  and dissecting.

	  Print the packet count with ^T iff we're not updating a displayed
	  packet count as packets arrive, regardless of whether we're
	  printing packet information, saving packets to a file, or both
	  (tcpdump prints it regardless of whether it's printing packet
	  information or saving packets to a file).

2004-05-31 02:42  guy

	* gtk/recent.c:

	  The "key" argument to "write_recent_geom()" is required (as it's
	  called through a pointer), but isn't used - mark it as unused.

2004-05-31 01:24  obiot

	* packet-image-jfif.c:

	  Add support for Exif decoding (initial framework).  Still lots of
	  work to do here :)

2004-05-30 18:27  ulfl

	* prefs.c:

	  sort saved preference settings by appearance in dialog

2004-05-30 17:58  etxrab

	* plugins/mgcp/packet-mgcp.c:

	  From Thomas Anders patch adds sub parameter dissection to the
	  MGCP plugin (plugins/mgcp/packet-mgcp.c), initially for the
	  ConnectionParameters(P), and updates/adds some specification
	  references.

	  This patch makes the sub parameter values filterable as numbers
	  and may allow for improved MGCP statistics in the future.

2004-05-30 11:54  ulfl

	* gtk/: help_dlg.c, recent.c, recent.h, ui_util.c, ui_util.h:

	  save window position/size/maximized state into recent file (only
	  help dialog for now)

2004-05-29 06:55  guy

	* packet-smb.c:

	  When we create a tvbuff for a security blob, set its reported
	  length to the reported length of the blob, not the amount of data
	  available from the blob.

	  Use "tvb_strneql()" when checking for strings, so that we don't
	  throw an exception if there's less data in the tvbuff than there
	  are bytes in the string, we just say "not equal".

2004-05-29 04:41  guy

	* AUTHORS, packet-radius.c:

	  From Nathan Alger: update the VSA attributes for Juniper and
	  Juniper/Unisphere routers.

2004-05-29 04:34  guy

	* packet-dcerpc.c:

	  Squelch a compiler warning by removing a "/*" from the middle of
	  a comment.

2004-05-29 01:00  sahlberg

	* packet-snmp.c:

	  check in Thomas Anders patch to SNMP to allow ethereal to dissect
	  properly COUNTER64 objects that are not spanning a full 64 bit on
	  the wire

2004-05-28 20:59  ulfl

	* packet-dcerpc.c:

	  connectionless cancel PDU's don't have a
	  dg_server_accepting_cancels field

2004-05-27 23:09  ulfl

	* gtk/follow_dlg.c:

	  enable postcript printing if selected in prefs, correctly remove
	  temporary file on close dialog

2004-05-27 21:55  ulfl

	* gtk/follow_dlg.c:

	  bugfixes: fixed printing on win32, and convert none printable
	  characters, so printing will work on binary output as well (like
	  in the GUI output)

2004-05-27 21:52  ulfl

	* gtk/print_dlg.c:

	  win_printer is gboolean, not an int

2004-05-27 21:48  ulfl

	* file.c:

	  added a small comment

2004-05-27 21:42  guy

	* gtk/prefs_dlg.c:

	  Tag the "has_child" argument to "prefs_tree_page_add()" as unused
	  when building with GTK+ 2.x or later, as it's only needed and
	  only used for 1.2[.x].

2004-05-27 19:59  ulfl

	* gtk/: capture_prefs.c, color_dlg.c, dcerpc_stat.c,
	  dfilter_expr_dlg.c, fc_stat.c, file_dlg.c, filter_prefs.c,
	  h225_counter.c, h225_ras_srt.c, ldap_stat.c, mgcp_stat.c,
	  proto_dlg.c, rpc_stat.c, rtp_analysis.c, smb_stat.c,
	  tap_dfilter_dlg.c:

	  use gtk_window_set_default_size() instead of WIDGET_SET_SIZE()
	  for the dialogs, as WIDGET_SET_SIZE() will prevent the user from
	  shrinking the dialog, and gtk_window_set_default_size() will not

2004-05-27 18:12  guy

	* gtk/prefs_dlg.c:

	  Get rid of an unused variable.

	  Mark as unused a required argument that's unused.

2004-05-27 17:26  ulfl

	* gtk/capture_info_dlg.c:

	  added a small comment

2004-05-27 17:08  ulfl

	* gtk/filter_prefs.c:

	  bugfix: don't try to destroy a window, when it's already being
	  destroyed

2004-05-27 16:50  ulfl

	* gtk/: gui_prefs.c, prefs_dlg.c, prefs_dlg.h:

	  a lot of code cleanup

2004-05-27 16:48  ulfl

	* gtk/column_prefs.c:

	  bugfix: don't try to destroy a window, when it's already being
	  destroyed

2004-05-27 16:45  ulfl

	* gtk/follow_dlg.c:

	  bugfix: don't try to destroy a window, when it's already being
	  destroyed

2004-05-27 16:43  ulfl

	* gtk/nameres_prefs.c:

	  added some tooltips

2004-05-27 16:41  ulfl

	* gtk/about_dlg.c:

	  Don't point to the manpage for the list of authors, it's in the
	  about dialog now

2004-05-27 08:33  sahlberg

	* packet-isns.c:

	  the isns timestamp is in fact a 64 bit integer and not a 32 bit
	  integer.

	  declaring it properly will make ethereal dissect it properly as
	  well instead of crashing

2004-05-27 08:22  sahlberg

	* packet-kerberos.c:

	  make KRB_SAFE more consistent with the other PDUs by removing the
	  SAFE expansion.

	  cosmetic: Put the application type on the kerberos subtree

2004-05-26 21:23  guy

	* gtk/follow_dlg.c:

	  Don't compile in "follow_save_as_destroy_cb()" for GTK+ 2.4 and
	  later, as it's not used.

2004-05-26 12:08  jmayer

	* configure.in:

	  Make gtk2 the default. Use --disable-gtk2 to use glib1/gtk1
	  instead

2004-05-26 11:37  jmayer

	* gtk/ansi_map_stat.c:

	  Change C++ style comments

2004-05-26 11:25  sahlberg

	* packet-ber.c:

	  in dissect_ber_bitstring32() It is not neccessary that the
	  encoded bitstring is actually encoded as 4 bytes.

	  Make sure, that if the bistring is encoded in less than 4 bytes
	  that we still do the right thing.

2004-05-26 11:04  sahlberg

	* packet-kerberos.c:

	  remove the SAFE_BODY expansion to make KRB5_MSG_SAFE look more
	  consistent with the other application dissectors.

2004-05-26 10:41  jmayer

	* autogen.sh:

	  Run libtoolize after aclocal.m4 has been generated

2004-05-26 08:53  sahlberg

	* packet-kerberos.c:

	  implementation of the KRB_SAFE application

2004-05-26 04:21  guy

	* gtk/: capture_dlg.c, print_prefs.c:

	  Get rid of some declarations of routines that no longer exist.

	  Fix up some declarations of other routines to match the
	  definitions of those routines.

2004-05-26 03:49  ulfl

	* gtk/: capture_dlg.c, capture_info_dlg.c, capture_prefs.c,
	  color_dlg.c, column_prefs.c, decode_as_dlg.c, dfilter_expr_dlg.c,
	  dlg_utils.c, dlg_utils.h, file_dlg.c, file_dlg.h, filter_prefs.c,
	  find_dlg.c, follow_dlg.c, goto_dlg.c, menu.c, packet_win.c,
	  plugins_dlg.c, prefs_dlg.c, print_dlg.c, print_prefs.c,
	  progress_dlg.c, proto_dlg.c, proto_draw.c, rtp_analysis.c,
	  rtp_stream_dlg.c, simple_dialog.c, tcp_graph.c, ui_util.c:

	  more code cleanup from dialog things: changed window_xy (dialog)
	  function calling in a lot of gtk files cleanup of file selection
	  code cleanup in dlg_utils/file_dlg/ui_util Please report any
	  problems!!!

2004-05-26 02:33  guy

	* gtk/find_dlg.c:

	  Don't capitalize "Filter" in "Display Filter" in the "Find"
	  dialog box, just as we don't capitalize "value" in "Hex value" in
	  the same set of radio buttons.

2004-05-25 21:27  guy

	* packet-h225.c:

	  The function pointer in a "per_choice_t" or a "per_sequence_t" is
	  to a function that returns "int", not "guint32"; declare one such
	  function as such, and note that the function it calls should
	  perhaps also use "int" for packet-offset arguments and return
	  values (or, rather, that the code that generated it should
	  generate functions that do so).

2004-05-25 21:24  guy

	* packet-h235.c:

	  The function pointer in a "per_choice_t" or a "per_sequence_t" is
	  to a function that returns "int", not "guint32"; re-generate
	  "packet-h235.c", from the new "asn2eth.py", to define those
	  functions to return "int".

2004-05-25 21:23  guy

	* tools/asn2eth.py:

	  The function pointer in a "per_choice_t" or a "per_sequence_t" is
	  to a function that returns "int", not "guint32"; define those
	  functions to return "int".

2004-05-25 21:08  guy

	* packet-h235.h:

	  Declare the "value_string" tables as "extern", to avoid problems
	  when building a shared libethereal on some platforms.

2004-05-25 21:07  guy

	* asn1/h235/packet-h235-template.c:

	  "NOT_DECODED_YET()" was replaced by "PER_NOT_DECODED_YET()" and
	  "BER_NOT_DECODED_YET()"; use the right one.

2004-05-25 21:06  guy

	* tools/asn2eth.py:

	  Replace some Windows dash/hyphen character with a "-" in some
	  comments.

	  Make the header files declare the "value_string" arrays as
	  "extern", so as to prevent problems on some platforms when
	  building a shared libethereal.

	  Note that, at least currently, we have separate
	  "PER_NOT_DECODED_YET()" and "BER_NOT_DECODED_YET()" macros,
	  rather than a common "NOT_DECODED_YET()" macro.

2004-05-25 19:48  sahlberg

	* packet-h225.c:

	  fix the timestamp problem in h225

2004-05-25 10:17  sahlberg

	* packet-h225.c:

	  get rid of some compiler warnings

2004-05-25 10:09  sahlberg

	* Makefile.common, packet-h225.c, packet-h235.c, packet-h235.h,
	  epan/Makefile.common:

	  H.235 dissector from Tomas compiler script.

	  This should make H.235 semicomplete and make a lot more H.225
	  packets dissect properly.

	  Please test.

2004-05-25 09:41  guy

	* packet-pktc.c:

	  From Thomas Anders: add support for Rekey and Error Reply
	  messages.

2004-05-25 02:59  guy

	* packet-kerberos.c:

	  Get rid of some extra blanks.

2004-05-24 18:14  ulfl

	* prefs.c:

	  give the user a hint what to do (save his/her preferences), when
	  somethings wrong with the preferences, as it's always a good idea
	  to give a helping hand :-)

2004-05-24 17:41  ulfl

	* gtk/dlg_utils.c:

	  dlg_destroy_cb() is static

2004-05-24 17:32  guy

	* gtk/dlg_utils.c:

	  Even with GTK+ 2.x the arguments to "dlg_destroy_cb()" aren't
	  used.

2004-05-24 16:38  guy

	* packet-bootp.c:

	  From Thomas Anders: display DHCP option 43 suboption 8 as an
	  octet string.

2004-05-24 16:17  ulfl

	* AUTHORS:

	  updated two mail addresses

2004-05-24 09:00  guy

	* gtk/ui_util.c:

	  Include <string.h> to declare "strlen()".

2004-05-24 08:42  sahlberg

	* AUTHORS, asn1/h235/H235-SECURITY-MESSAGES.asn,
	  asn1/h235/h235.cnf, asn1/h235/packet-h235-template.c,
	  asn1/h235/packet-h235-template.h:

	  From Tomas,

	  sourcefiles to generate H235 dissector using Tomas's ASN1 to
	  Ethereal compiler

2004-05-24 08:33  sahlberg

	* tools/: asn2eth.py, lex.py, yacc.py:

	  From Tomas Kukosa

	  ASN2ETH compiler and support script for lexical and syntactic
	  analysis.

	  Will later be used for all those ASN.1 protocols we havent
	  implemented yet

2004-05-24 02:25  guy

	* packet-ansi_a.c, packet-bgp.c, packet-bssap.c, packet-clnp.c,
	  packet-fr.c, packet-ieee80211.c, packet-iscsi.c, packet-lmp.c,
	  packet-m2pa.c, packet-m2ua.c, packet-m3ua.c, packet-mtp3.c,
	  packet-ndmp.c, packet-ppp.c, packet-scsi.c, packet-sctp.c,
	  packet-t38.c, packet-tcap.c, prefs.c, prefs.h,
	  doc/README.developer, gtk/gui_prefs.c, gtk/prefs_dlg.c,
	  gtk/print_prefs.c, plugins/asn1/packet-asn1.c:

	  Have two strings in an enum_val_t - one that's a short string
	  that is convenient to put into a command line (no capital
	  letters, no spaces to require quotes), and one that's a detailed
	  description for use in the UI.  Allow either of them in the
	  preferences file or "-o" option; use the detailed description in
	  the UI, and also use it when writing the preferences out, so that
	  the preference will be readable by older versions of Ethereal
	  (assuming the preference existed in that version).

	  Update "README.developer" to give more detail about an enum_val_t
	  (and to put the _t in), and to give a more detailed description
	  of the "radio_buttons" argument to
	  "prefs_register_enum_preference()".

2004-05-24 02:06  guy

	* image/: clist_ascend.xpm, clist_descend.xpm:

	  Make the XPM text "const", to get rid of some compiler warnings.

2004-05-24 01:58  guy

	* gtk/dlg_utils.c:

	  "dlg_destroy_cb()" doesn't use its arguments when built with GTK+
	  1.2[.x], so add _U_ in that case.

2004-05-23 23:24  ulfl

	* gtk/: ansi_a_stat.c, ansi_map_stat.c, bootp_stat.c,
	  dcerpc_stat.c, endpoint_talkers_table.c, fc_stat.c, gsm_a_stat.c,
	  gsm_map_stat.c, gsm_map_summary.c, h225_counter.c,
	  h225_ras_srt.c, hostlist_table.c, http_stat.c, io_stat.c,
	  isup_stat.c, ldap_stat.c, mgcp_stat.c, mtp3_stat.c,
	  mtp3_summary.c, proto_draw.c, proto_hier_stats_dlg.c,
	  rpc_progs.c, rpc_stat.c, rtp_analysis.c, sip_stat.c, smb_stat.c,
	  summary_dlg.c, supported_protos_dlg.c, tap_dfilter_dlg.c,
	  tcp_graph.c, wsp_stat.c:

	  use new functions in window API (ui_util.h), use window_new
	  instead of dlg_window_new for the statistics windows (as these
	  are no dialog windows) do some code cleanup

2004-05-23 23:07  guy

	* AUTHORS, packet-clnp.c:

	  From Matthew Bradley: add an option to control how to display
	  TSAPs (always as strings, always as raw bytes, or as strings iff
	  all bytes are printable ASCII), and put the destination and
	  source TSAPs into the protocol tree so they can be filtered on.

2004-05-23 22:34  jmayer

	* configure.in:

	  Enable building dftest by default

2004-05-23 22:21  guy

	* config.nmake, packaging/nsis/Makefile.nmake,
	  packaging/nsis/ethereal.nsi:

	  From Lars Roland: define an "installation" version of GTK+ 2.x
	  and Pango in "config.nmake", and use that in the NSIS script when
	  generating the NSIS installer, so it puts GTK+ and Pango in the
	  appropriate subdirectories.  Also, when uninstalling, remove both
	  of the sets of subdirectories.

	  As per his suggestion, get rid of the "GTK1_VERSION" and
	  "GTK2_VERSION" macros, and just directly insert the values where
	  those macros were used - "GTK1_VERSION" wasn't used at all, and
	  "GTK2_VERSION" was only used immediately below where it was
	  defined, and stuff elsewhere, such as in the NSIS script, didn't
	  use them and would break if you changed them anyway.

2004-05-23 22:06  guy

	* .cvsignore, epan/.cvsignore:

	  From Lars Roland: add some more .cvsignore items.

2004-05-23 17:37  ulfl

	* gtk/: about_dlg.c, dlg_utils.c, dlg_utils.h, help_dlg.c, main.c,
	  ui_util.c, ui_util.h:

	  next step to save the size and postition of the dialogs (using a
	  hashtable) move the get/set window size functionality from main
	  to ui_util, add some functions to handle windows/dialogs.

	  changed help and about dialog to suit the current window API

2004-05-23 15:03  ulfl

	* gtk/compat_macros.h:

	  add some comments about using WIDGET_SET_SIZE() macro

2004-05-23 13:43  etxrab

	* plugins/mgcp/packet-mgcp.c:

	  Add translation of result codes

2004-05-23 01:53  guy

	* packet-aim-messaging.c:

	  In outgoing messages:

		  put the screen name into the Info column before fetching
	  the
		  message text, so it gets into the Info column even if we
	  throw
		  an exception fetching the message text;

		  use the right offset when adding the screen name to the
	  protocol
		  tree;

		  use the right offset for the byte after the screen name
	  when
		  calling "aim_get_message()".

2004-05-23 01:10  guy

	* packet-aim-messaging.c:

	  Put in a missing space.

2004-05-22 22:30  guy

	* doc/.cvsignore:

	  Add "ethereal-tmp.pod" to the list of files to ignore.

2004-05-22 22:29  guy

	* doc/Makefile.am:

	  "--binary" is not a universal "cat" flag, and shouldn't be
	  necessary on UN*X and, hopefully, not in Cygwin either.

2004-05-22 21:52  guy

	* doc/Makefile.am:

	  Use "/" rather than "\" in UN*X pathnames.

2004-05-22 21:51  guy

	* Makefile.am:

	  Make "ethereal.1" depend on "AUTHORS-SHORT", so that
	  "AUTHORS-SHORT" (which is built in the top-level directory) is
	  built before we try to build "ethereal.1" (which is built in the
	  "doc" directory).

2004-05-22 21:47  guy

	* AUTHORS, packet-pktc.c:

	  From Thomas Anders:

	  - full support for "Wake Up" and "Security Parameter Recovered"
	  messages - full support for IPsec (additionally to SNMPv3) DOI -
	  add descriptive text to the info column (COL_INFO) - proper
	  FT_BOOLEAN type for "Re-establish" and "ACK required" flags -
	  proper item length for "PacketCable" (top-level), "List of
	  ciphersuites"   and "Application Specific Data" - minor cleanup

2004-05-22 19:56  ulfl

	* gtk/: color_dlg.c, dlg_utils.c, dlg_utils.h, follow_dlg.c,
	  gsm_map_summary.c, h225_counter.c, help_dlg.c, io_stat.c,
	  mgcp_stat.c, mtp3_summary.c, rtp_analysis.c, summary_dlg.c:

	  going to have a standard behaviour of the dialogs (including
	  remebering of the dialog size in recent file).  for a first step,
	  I replaced all window_new() calls from dialogs into
	  dlg_window_new() ones, and removed all gtk_window_set_position
	  calls, this should be done in a more generalized way

2004-05-22 17:14  ulfl

	* doc/: Makefile.am, Makefile.nmake, ethereal.pod:

	  remove (duplicated) list of authors from ethereal.pod, and use
	  ../AUTHORS-SHORT instead to concatenate a tmp file to use

2004-05-22 17:05  ulfl

	* AUTHORS:

	  merged differences between this file and doc/ethereal.pod

2004-05-22 15:29  ulfl

	* AUTHORS:

	  sligthly change indentation, so the generated file
	  AUTHORS-SHORTwill look a lot better

2004-05-22 14:05  jmayer

	* make-authors-short.pl:

	  Next attempt to match an empty line on Windows

2004-05-22 13:49  ulfl

	* doc/ethereal.pod:

	  some beautifying and bring the links to live, so the html manpage
	  will jump correctly to it's link targets

2004-05-22 13:45  ulfl

	* doc/Makefile.nmake:

	  add a target to build the manpages

2004-05-22 12:32  ulfl

	* doc/ethereal.pod:

	  update manpage, to reflect recent (and not so recent :-( changes
	  in the GUI, like some things in the menu and Preferences, and
	  fixed some minor bugs which caused undesired formatting.

2004-05-22 08:12  guy

	* epan/libethereal.def:

	  From Gisle Vanem: export more functions from libethereal, as
	  they're needed by Ethereal itself.

2004-05-22 07:50  guy

	* util.c:

	  Fix the other place where we construct temporary path names to
	  use G_DIR_SEPARATOR and G_DIR_SEPARATOR_S, to get rid of one more
	  horse-frightening pathname.

2004-05-22 07:32  guy

	* gtk/about_dlg.c:

	  GTK+ 1.2[.x] doesn't handle UTF-8 text, so do the "Authors" tab
	  only with GTK+ 1.3 and later.

	  If we're doing the "Authors" tab, include "text_page.h" to
	  declare "text_page_new()".

2004-05-22 07:24  guy

	* .cvsignore, Makefile.am:

	  Put "make-authors-short.pl" into the release tarball.

	  Use it to generate the "AUTHORS-SHORT" file, put that file into
	  the release tarball, and install it in the data directory.

	  Add "AUTHORS-SHORT" to the .cvsignore file.

2004-05-22 04:46  guy

	* gtk/about_dlg.c:

	  Include "cvsversion.h" so we report the version correctly for
	  builds from CVS.

2004-05-22 04:25  guy

	* gtk/: Makefile.am, about_dlg.c, help_dlg.c, text_page.h:

	  Declare "text_page_new()" in a "gtk/text_page.h" header, rather
	  than embedding a declaration in "gtk/about_dlg.c".

	  Do the Authors page in the About dialog on UN*X as well as on
	  Windows.

2004-05-22 04:15  guy

	* version_info.c, gtk/main.c:

	  Don't put a newline at the end of the compiled-with version
	  information - we don't put it at the end of the run-time version
	  information.

	  Add newlines into formats used with that information where
	  appropriate (the "About" dialog box already had a newline in the
	  format).

2004-05-21 23:18  jmayer

	* AUTHORS:

	  Convert to UTF-8: iconv -f latin1 -t utf-8 AUTHORS >AUTHORS.utf-8

2004-05-21 21:08  jmayer

	* make-authors-short.pl:

	  Don't print empty lines follwing a }

2004-05-21 21:07  jmayer

	* AUTHORS:

	  Add a missing {

2004-05-21 17:35  ulfl

	* gtk/about_dlg.c:

	  WIN32 only: add an "Authors" notebook tab, to show the content of
	  the AUTHORS-SHORT file

2004-05-21 17:31  ulfl

	* packaging/nsis/ethereal.nsi:

	  install (and uninstall) AUTHORS-SHORT and COPYING files

2004-05-21 17:25  ulfl

	* Makefile.nmake:

	  convert AUTHORS file to a shorter version (without the tasks
	  done) for the about dialog

2004-05-21 17:22  ulfl

	* make-authors-short.pl:

	  convert AUTHORS file to a shorter version (without the tasks
	  done) for the about dialog

2004-05-21 10:36  sahlberg

	* AUTHORS, packet-pktc.c:

	  From Thomas Anders   enhancements to PacketCable

2004-05-21 08:55  ulfl

	* gtk/: about_dlg.c, help_dlg.c, summary_dlg.c, ui_util.c:

	  code cleanup (e.g. removed unused function parameters), added new
	  about page, showing the authors file (but still commented out)

2004-05-21 08:44  guy

	* gtk/: Makefile.am, about_dlg.c, about_dlg.h, main.h, menu.c:

	  Now that the "About" dialog box's code is in "gtk/about_dlg.c",
	  move the "create an About dialog" function's declaration to
	  "gtk/about_dlg.h".

2004-05-21 06:39  guy

	* gtk/summary_dlg.c:

	  GCC warns about zero-length format strings, presumably either
	  because not all *printf routines don't handle them or because
	  there's no advantage to using one rather than just copying a null
	  string to the target (the length-checking done by
	  "snprintf"-style routines is useful for a null string only if the
	  target is zero-length, which it isn't in this case).

	  Clean up indentation.

2004-05-21 00:42  guy

	* image/eicon3d64.xpm:

	  Make the XPM data an array of "const char *", to get rid of a
	  compiler warning.

2004-05-21 00:39  guy

	* epan/plugins.c:

	  Get rid of a no-longer-used variable.

2004-05-21 00:38  guy

	* gtk/about_dlg.c:

	  Include <string.h> to declare "strdup()".

2004-05-21 00:27  ulfl

	* gtk/help_dlg.c:

	  split helper text page function into a generic and a help
	  specific part, so other files can use this functionality too

2004-05-21 00:25  ulfl

	* gtk/dlg_utils.c:

	  gtk_window_present() new dialog windows, to be sure they get on
	  top

2004-05-21 00:18  guy

	* gtk/: dlg_utils.c, main.c, proto_draw.c:

	  Tag unused parameters with _U_ to squelch GCC compiler warnings
	  (they're GTK+ callbacks so we don't get to change the calling
	  sequence).

2004-05-20 23:01  ulfl

	* gtk/summary_dlg.c:

	  complete new layout of the summary dialog

2004-05-20 22:57  ulfl

	* gtk/ui_util.c:

	  simple_list_new(): hide title row, if titles == NULL

2004-05-20 22:37  guy

	* epan/plugins.c:

	  "datafile_dir" in "init_plugins()" is used regardless of whether
	  we're on Windows or UN*X - don't #ifdef it.

	  Clean up the #ifdefs in "get_plugins_global_dir()".

	  Clean up white space.

2004-05-20 18:23  ulfl

	* gtk/: about_dlg.c, menu.c, plugins_dlg.c:

	  beautify the "About Ethereal" page, put plugin list into the
	  dialog

2004-05-20 18:18  ulfl

	* gtk/: ui_util.c, ui_util.h:

	  as it's difficult to create a list widget for both supported GTK
	  versions, I've started to implement a simple list to hide the
	  complexity

2004-05-20 13:48  ulfl

	* epan/plugins.c, epan/plugins.h, gtk/about_dlg.c:

	  separate dir functions from the plugin init, put this and some
	  other dirs in the about dialog

2004-05-20 13:43  ulfl

	* epan/resolv.c:

	  code cleanup

2004-05-20 12:47  ulfl

	* gtk/dlg_utils.c:

	  call gtk_window_present() only on GTK2 and above

2004-05-20 12:01  ulfl

	* gtk/: about_dlg.c, main.c, Makefile.common, main.h, menu.c:

	  moved the about dialog from main.c to it's own new about_dlg.c,
	  added a notebook tab with some directory infos (still incomplete
	  and ugly) cleaned up #includes in main.c (hoping this didn't
	  break the build on unix)

2004-05-20 11:53  ulfl

	* gtk/Makefile.nmake:

	  added a depend to ethereal-tap-register.c, so adding a gtk-tap
	  will regenerate this file

2004-05-20 11:47  ulfl

	* packet-lmp.c:

	  avoid using ushort (not available on all platforms), use guint16
	  instead

2004-05-20 10:37  ulfl

	* gtk/: menu.c, menu.h, nameres_prefs.c:

	  update menu check items, if name resolution prefs changed

2004-05-19 22:17  ulfl

	* gtk/dlg_utils.c:

	  workaround for GTK2 bug: bring main window back to front, when a
	  dialog is closed

2004-05-19 17:45  ashokn

	* packet-lmp.c, packet-rsvp.c:

	  Fixes to LMP for draft-09 support.

	  Minor fix to RSVP for G-UNI object number.

2004-05-19 04:52  tpot

	* packet-dcerpc-samr.c, packet-dcerpc-efs.c, packet-dcerpc-lsa.c,
	  packet-dcerpc-netlogon.c, packet-dcerpc-nt.c, packet-dcerpc-nt.h:

	  Remove hf argument to common routines for dissecting domain sids.
	   Most of the callers passed -1 for this parameter anyway.

2004-05-18 11:11  jmayer

	* acinclude.m4:

	  Thomas Anders: Pathnames might contain Spaces, krb5-config might
	  not be in PATH

2004-05-18 11:08  sahlberg

	* packet-pktc.c:

	  update to packetcable    dissect all of apreq/aprep packets

2004-05-18 08:22  sahlberg

	* Makefile.common, packet-kerberos.c, packet-pktc.c, packet-pktc.h,
	  epan/Makefile.common:

	  New protocol : PacketCable : PKTC

	  The AP-REQ and AP_REP packets are partially dissected up to and
	  including the kerberos blob.

	  work in progress

2004-05-18 00:05  ulfl

	* gtk/proto_draw.c:

	  this is a hack, to workaround a bug in GTK2.x! when changing the
	  font size, even refilling of the corresponding gtk_text_buffer
	  doesn't seem to trigger an update.  The only workaround is to
	  freshly select the frame, which will remove any existing notebook
	  tabs and "restart" the whole byte view again.

2004-05-17 21:15  ulfl

	* gtk/: main.c, simple_dialog.c:

	  GTK2 only: catch window state event, and call
	  display_queued_messages() if window not iconified any longer.
	  Queue up simple_dialog messages, if window *is* iconified

2004-05-17 20:06  sahlberg

	* tap-rpcprogs.c, gtk/rpc_progs.c:

	  In rpc programs statistics,	change RTT (RoundTripTime) to SRT
	  (ServiceResponseTime) since that is a more appropriate name for
	  these stats.

2004-05-17 20:03  sahlberg

	* packet-ber.h, packet-h225.c, packet-h245.c, packet-h450.c,
	  packet-kerberos.c, packet-per.c, packet-per.h:

	  rename the NOT_DECODED_YET macros to avoid a name clash for those
	  sources that include both packet-ber.h and packet-per.h

2004-05-16 18:50  guy

	* packet-smtp.c:

	  From Yaniv Kaul: add support for 3 MS-Exchange, non-RFC compliant
	  commands, per
	  http://support.microsoft.com/default.aspx?scid=kb;[LN];812455

2004-05-16 18:42  ulfl

	* gtk/simple_dialog.c:

	  don't show simple_dialogs, if main window iconified (minimized),
	  this would lead to an unresponsive program.  Simply discard the
	  messages, as we don't have a way to queue and show this message
	  if the main window is becoming "visible" again.

2004-05-16 18:42  guy

	* packet-vrrp.c:

	  From Yaniv Kaul: note that authentication types 1 and 2 are from
	  RFC 2338.

2004-05-15 21:57  guy

	* epan/libethereal.def:

	  From Gisle Vanem: export dfilter_dump from libethereal for the
	  benefit of dftest.

2004-05-15 21:56  guy

	* configure.in:

	  From Thomas Anders: fix --with-net-snmp to let it handle either
	  the pathname of the Net-SNMP directory or the pathname of the
	  Net-SNMP configure script as an argument to that option.

2004-05-15 21:26  guy

	* AUTHORS, packet-iax2.c, packet-iax2.h, doc/ethereal.pod:

	  From James H. Cloos Jr: update the list of audio and video
	  codecs.

	  Get rid of no-longer-used AST_FORMAT_MP3.

2004-05-15 21:08  guy

	* packet-sip.c:

	  From Martin Mathieson: mark the "this is a suspected resend"
	  Boolean and "this is suspected to be a resend of frame N" entries
	  as generated, and make the latter an FT_FRAMENUM field so you can
	  go to that frame conveniently.

2004-05-15 19:54  guy

	* AUTHORS, packet-gre.c, packet-mpls.c:

	  From Carlos Pignataro: support for MPLS over GRE.

2004-05-15 10:05  tpot

	* packet-dcerpc-nt.c, packet-dcerpc-samr.c:

	  Move common routines from packet-dcerpc-samr.c to
	  packet-dcerpc-nt.c

2004-05-15 10:02  tpot

	* packet-dcerpc.c:

	  Remove call to PROTO_ITEM_SET_LINK().

2004-05-15 00:52  ulfl

	* epan/proto.h:

	  remove FI_LINK again, as this info can be derived from the
	  presence of the FT_FRAMENUM field

2004-05-15 00:48  ulfl

	* packet-dcerpc.c:

	  remove FI_LINK again, as this info can be derived from the
	  presence of the FT_FRAMENUM field

2004-05-15 00:40  ulfl

	* gtk/proto_draw.c, packet-tcp.c, reassemble.c:

	  remove FI_LINK again, as this info can be derived from the
	  presence of the FT_FRAMENUM field

2004-05-14 23:38  sahlberg

	* packet-ber.h, packet-kerberos.c:

	  More updates to packetcable kerberos

	  in particular,  packetcable use a slightly diufferent
	  KDC-REQ-BODY where the field	till[5] is optional.  Make it
	  optional in the dissector as well since ethereal will still be
	  able to dissecto normal kerberos pdus where it is not optional

2004-05-14 18:02  ulfl

	* gtk/proto_draw.c:

	  add support to link from specially marked fields to related
	  packets, a doubleclick will follow the link (GTK1 is working now
	  too)

2004-05-14 17:34  ulfl

	* packet-tcp.c, reassemble.c:

	  add support to link from specially marked fields to related
	  packets, a doubleclick will follow the link

2004-05-14 17:29  ulfl

	* packet-dcerpc.c:

	  add support to link from specially marked fields to related
	  packets, a doubleclick will follow the link

2004-05-14 16:32  obiot

	* packet-wbxml.c:

	  While looking at a WV-CSP packet capture, I realized that there
	  were still leftovers from before the EXT_T fix where
	  tvb_strsize() was being called.

	  This patch fixes this (both in TAG and ATTR processors).

2004-05-14 16:23  ulfl

	* Makefile.nmake:

	  GTK Wimp has it's own setting: GTK_WIMP_DIR, the setup target
	  should use it accordingly

2004-05-14 16:07  ulfl

	* packet-dcerpc.c:

	  add support to link from specially marked fields to related
	  packets, a doubleclick will follow the link

2004-05-14 15:55  ulfl

	* packet-tcp.c, epan/proto.h, gtk/proto_draw.c:

	  add support to link from specially marked fields to related
	  packets, a doubleclick will follow the link

2004-05-14 10:33  jmayer

	* acinclude.m4:

	  Thomas Anders: Add the actual libs to link in case
	  --with-krb5=/explicit/path

2004-05-14 09:00  ulfl

	* packet-tcp.c:

	  mark some more protocol fields as generated

